<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<?xml version="1.0" encoding="UTF-8" ?>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="elabor" uri="http://elabor.biz/tld/tools"%>

<!DOCTYPE html>

<html lang="it" xmlns="http://www.w3.org/1999/xhtml">

<head>
<TITLE>CO da abbinare</TITLE>
<%@ include file="../head.jspf"%>
</head>

<body>
	<%@ include file="../header.jspf"%>
	<%@ include file="../navigationbar.jspf"%>
	<div>
		<h1 id="title" class="mainColor textcenter">Conferme ordine da abbinare</h1>
		<div id="messages">
			<%@ include file="../talk.jspf"%>
		</div>
	</div>
	<c:set var="pattern" value="dd/MM/yyyy" />
	<c:set var="patternNumber" value="#,##0.00"/>
	<div class="container">
		<%@ include file="filtrocodaabbinare.jspf"%>
		<c:choose>
			<c:when test="${not empty coestese}">
				<table id="tabellacodaabbinare" aria-label="tabella co daabbinare"
					class="table table-sthiped table-hover table-condensed table-bordered isolated">
					<thead>
						<tr>
							<th class="textcenter">Codice commessa</th>
							<th class="textcenter">Richiedente</th>
							<th class="textcenter">Fornitore</th>
							<th class="textcenter">CO</th>
							<th class="textcenter">Descrizione</th>
							<th class="textcenter">Data emissione</th>
							<th class="textcenter">Data conferma CO</th>
							<th class="textcenter">Imponibile</th>
							<th class="textcenter">Lordo</th>
							<th class="textcenter">Numero fattura</th>
							<th class="textcenter">Data fattura</th>
							<th class="textcenter">Codice Mubi</th>
							<th class="textcenter">Copia cortesia</th>
							<th class="textcenter">Modifica</th>
						</tr>
					</thead>
					<tbody>
						<c:forEach var ="co" items="${coestese}" varStatus="status">
							<c:choose>
								<c:when test="${codaabbinareeabbinate}">
									<c:set var="righe" value="${co.righeDaAbbinareEAbbinate}"/>
								</c:when>
								<c:otherwise>
									<c:set var="righe" value="${co.righeDaAbbinare}"/>
								</c:otherwise>
							</c:choose>
							<c:forEach var ="riga" items="${righe}" varStatus="statusRighe">
								<tr>
									<td class="textcenter">${co.codiceCommessa}</td>
									<td class="textcenter">${co.richiedente}</td>
									<td class="textcenter">${co.fornitore}</td>
									<td class="textcenter">${co.numeroCo}</td>
									<td class="textcenter" id="descrizione-${status.index}">${co.descrizione}</td>
									<fmt:formatDate value='${co.data}' pattern='${pattern}' var="dataco" />
									<td class="textcenter">${dataco}</td>
									<fmt:formatDate value='${co.dataConfermaCO}' pattern='${pattern}' var="dataconfermaco" />
									<td class="textcenter">${dataconfermaco}</td>
									<fmt:formatNumber value='${co.imponibile}' pattern='${patternNumber}' var="imponibile" />
									<fmt:formatNumber value='${co.lordo}' pattern='${patternNumber}' var="lordo" />
									<td class="textright">${imponibile}</td>
									<td class="textright">${lordo}</td>
									<td>${riga.numeroFattura}</td>
									<td>${riga.dataFattura}</td>
									<td>${riga.mubi}</td>
									
									<td class="textcenter" id="copiacortesiafattura-${status.index}">${riga.copiaCortesia}</td>
									<td class="icon textcenter">
										<c:url var="urlModificaCoDaAbbinare"
											value="codaabbinareedit.srvl">
											<c:param name="filtroanno" value="${filtroanno}" />
											<c:param name="filtronumero" value="${filtronumero}" />
											<c:param name="startDate" value="${startDate}" />
											<c:param name="endDate" value="${endDate}" />
											<c:param name="startDateConferma" value="${startDateConferma}" />
											<c:param name="endDateConferma" value="${endDateConferma}" />
											<c:param name="numeroco" value="${numeroco}" />
											<c:param name="fornitore" value="${fornitore}" />
											<c:param name="richiedente" value="${richiedente}" />
											<c:param name="anno" value="${co.anno}" />
											<c:param name="numero" value="${co.numero}" />
											<c:param name="idfornitura" value="${co.idFornitura}" />
											<c:param name="id" value="${co.idCo}" />
											<c:param name="idfattura" value="${riga.idFattura}" />
											<c:param name="codaabbinareeabbinate" value="${codaabbinareeabbinate}" />
										</c:url> 
										<c:if test="${riga.rigaFattura}">
											<a href="${urlModificaCoDaAbbinare}" title="modifica"
											id="modifica-${status.index}-${statusRighe.index}" class="btn btn-default fa fa-edit"></a>
										</c:if>
									</td>
								</tr>
							</c:forEach>
						</c:forEach>
					</tbody>
				</table>
			</c:when>
			<c:otherwise>
				<h3>Non sono presenti conferme d'ordine da abbinare</h3>
			</c:otherwise>
		</c:choose>
	</div>
	<%@ include file="../footer.jspf"%>
</body>
</html>