<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<?xml version="1.0" encoding="UTF-8" ?>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="elabor" uri="http://elabor.biz/tld/tools"%>

<!DOCTYPE html>

<html lang="it" xmlns="http://www.w3.org/1999/xhtml">

<head>
	<TITLE>CO da abbinare</TITLE>
	<%@ include file="../head.jspf"%>
	<script>
		$(document).ready(function() {
			var container=$('.bootstrap-iso form').length>0 ? $('.bootstrap-iso form').parent() : "body";
			var options = {
				dateFormat : "dd/mm/yy",
				changeMonth : true,
				changeYear : true,
				yearRange : "-1:+1",
				container: container,
	            todayHighlight: true,
	            autoclose: true,
	            language: "it",																																																																						
			};
			$('input[name="datafattura"]').datepicker(options);
		});
	</script>
</head>

<body>
	<%@ include file="../header.jspf"%>
	<%@ include file="../navigationbar.jspf"%>
	<div>
		<h1 id="title" class="mainColor textcenter">Servizio '${riga.codiceCommessa}' - Modifica Fattura </h1>
		<div id="messages">
			<%@ include file="../talk.jspf"%>
		</div>
	</div>
	<c:set var="pattern" value="dd/MM/yyyy" />
	<div class="container">
		<c:choose>
			<c:when test="${riga != null}">
				<c:set var="idfornitura" value="${riga.idFornitura}"/>
				<c:set var="id" value="${riga.idCo}"/>
				<c:set var="idfattura" value="${riga.idFattura}"/>
				<c:set var="numerofattura" value="${riga.numeroFattura}"/>
				<c:set var="datafattura" value="${riga.dataFattura}"/>
				<c:set var="mubi" value="${riga.mubi}"/>
			</c:when>
			<c:otherwise>
				<c:set var="idfornitura" value="${idfornitura}"/>
				<c:set var="id" value="${id}"/>
				<c:set var="idfattura" value="${idfattura}"/>
				<c:set var="numerofattura" value="${numerofattura}"/>
				<c:set var="datafattura" value="${datafattura}"/>
				<c:set var="mubi" value="${mubi}"/>
			</c:otherwise>
		</c:choose>
		<c:set var="urleditfattura" value="codaabbinareedit.srvl" />
		<form method="post" action="${fn:escapeXml(urleditfattura)}" enctype="multipart/form-data">
			<input type="text" name="codaabbinareeabbinate" value="${codaabbinareeabbinate}" hidden='hidden'/>
			<input type="text" name="filtroanno" value="${filtroanno}" hidden='hidden' />
			<input type="text" name="filtronumero" value="${filtronumero}" hidden='hidden' />
			<input type="text" name="numeroco" value="${numeroco}" hidden='hidden' />
			<input type="text" name="fornitore" value="${fornitore}" hidden='hidden' />
			<input type="text" name="startDate" value="${startDate}" hidden='hidden' />
			<input type="text" name="endDate" value="${endDate}" hidden='hidden' />
			<input type="text" name="startDateConferma" value="${startDateConferma}" hidden='hidden' />
			<input type="text" name="endDateConferma" value="${endDateConferma}" hidden='hidden' />
			<input type="text" name="richiedente" value="${richiedente}" hidden='hidden' />
			<input type="text" name="anno" value="${anno}" hidden='hidden'/> 
			<input type="text" name="numero" value="${numero}" hidden='hidden'/> 
			<input type="text" name="idfornitura" value="${idfornitura}" hidden='hidden'/> 
			<input type="text" name="id" value="${id}" hidden='hidden'/> 
			<input type="text" name="idfattura" value="${idfattura}" hidden='hidden' /> 
			<div class="col-xs-12 col-md-12 top-buffer">
				<div class="row form-group">
					<div class="col-md-4 col-sm-4 col-xs-12">
						<label for="numerofattura">Numero fattura</label> 
						<input class="form-control" type="text"
							name="numerofattura" id="numerofattura" value="${numerofattura}" /> 
					</div>
					<div class="col-md-4 col-sm-4 col-xs-12">
						<label for="datafattura">Data fattura</label> 
						<input class="form-control" type="text"
							name="datafattura" id="datafattura" value="${datafattura}"/> 
					</div>
					<div class="col-md-4 col-sm-4 col-xs-12">
						<label for="mubi">Codice MUBI</label> 
						<input class="form-control"
							type="text" name="mubi" id="mubi" value="${mubi}" /> 
					</div>
				</div>
			</div>
			<div class="col-xs-12 col-md-12 top-buffer">
				<div class="row form-group">
				
					<div class="col-md-4 col-sm-4 col-xs-12">
						<c:choose>
						
							<c:when test="${riga.copiaCortesia != null && riga.copiaCortesia != ''}">
								<c:url var="urlDownload" value="download.srvl">
									<c:param name="idunit" value="${riga.idFornitura}" />
									<c:param name="id" value="allegatofatturatecnico" />
									<c:param name="idsubunit" value="${riga.idCo}" />
									<c:param name="idfinal" value="${riga.idFattura}" />
									<c:param name="anno" value="${anno}" />
									<c:param name="numero" value="${numero}" />
								</c:url>
								
								<label for="copiacortesia">download copia cortesia</label>
								<a href="${fn:escapeXml(urlDownload)}" id="copiacortesia" >
								${riga.copiaCortesia}</a>
									<label for="deletecopiacortesia">cancella documento</label>
									<button type="submit" id="deletecopiacortesia" name="deletefile"
										title="deletefile" 
										class="btn btn-default fa fa fa-trash"></button>
							</c:when>
							<c:otherwise>
								<label for="uploadcopiacortesia">caricamento copia cortesia</label>
								<input type="file" id="uploadcopiacortesia" name="uploadcopiacortesia"
									class="form-control"
									value="${riga.copiaCortesia}" />
							</c:otherwise>
						</c:choose>
					</div>	
				</div>
			</div>
			
			
			
			
			<div class="row form-group col-xs-9 col-sm-9 col-md-9">
				<button type="submit" id="editfattura" title="conferma"
					class="btn btn-default fa fa-check"></button>
				<c:url var="urlAnnulla" value="codaabbinare.srvl">
					<c:param name="codaabbinareeabbinate" value="${codaabbinareeabbinate}" />
					<c:param name="filtroanno" value="${filtroanno}" />
					<c:param name="filtronumero" value="${filtronumero}" />
					<c:param name="startDate" value="${startDate}" />
					<c:param name="endDate" value="${endDate}" />
					<c:param name="startDateConferma" value="${startDateConferma}" />
					<c:param name="endDateConferma" value="${endDateConferma}" />
					<c:param name="numeroco" value="${numeroco}" />
					<c:param name="fornitore" value="${fornitore}" />
					<c:param name="richiedente" value="${richiedente}" />
				</c:url>
				<a href="${fn:escapeXml(urlAnnulla)}" id="annulla" class="btn btn-default btn-lg fas fa-arrow-left"></a>
			</div>
		
		</form>
	
	</div>
	<%@ include file="../footer.jspf"%>
	
</body>

</html>