<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<?xml version="1.0" encoding="UTF-8" ?>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="elabor" uri="http://elabor.biz/tld/tools"%>

<!DOCTYPE html>

<html lang="it" xmlns="http://www.w3.org/1999/xhtml">

<head>
<TITLE>CO da pagare</TITLE>
<%@ include file="../head.jspf"%>
</head>

<body>
	<%@ include file="../header.jspf"%>
	<%@ include file="../navigationbar.jspf"%>
	<div>
		<h1 id="title" class="mainColor textcenter">Conferme ordine da pagare</h1>
		<div id="messages">
			<%@ include file="../talk.jspf"%>
		</div>
	</div>
	<c:set var="pattern" value="dd/MM/yyyy" />
	<c:set var="patternNumber" value="#,##0.00"/>
	<div class="container">
		<%@ include file="filtrocodapagare.jspf"%>
		<c:choose>
			<c:when test="${not empty coestese}">
				<table id="tabellacodapagare" aria-label="tabella co dapagare"
					class="table table-sthiped table-hover table-condensed table-bordered isolated">
					<thead>
						<tr>
							<th class="textcenter">Codice commessa</th>
							<th class="textcenter">Richiedente</th>
							<th class="textcenter">Fornitore</th>
							<th class="textcenter">CO</th>
							<th class="textcenter">Descrizione</th>
							<th class="textcenter">Data emissione</th>
							<th class="textcenter">Data limite pagamento</th>
							<th class="textcenter">Data conferma CO</th>
							<th class="textcenter">Imponibile</th>
							<th class="textcenter">Lordo</th>
							<th class="textcenter">Ricevuta bonifico</th>
							<th class="textcenter">Notifica al fornitore</th>
							<th class="textcenter">Modifica</th>
						</tr>
					</thead>
					<tbody>
						<c:forEach var ="co" items="${coestese}" varStatus="status">
						<c:set var="background" value="" />
						<c:if test="${co.scaduta}">
						<c:set var="background" value="backgroundred" />
						</c:if>
						<tr class="${background}">
							<td class="textcenter">${co.codiceCommessa}</td>
							<td class="textcenter">${co.richiedente}</td>
							<td class="textcenter">${co.fornitore}</td>
							<td class="textcenter" id="numeroco-${status.index}">${co.numeroCo}</td>
							<td class="textcenter" id="descrizione-${status.index}">${co.descrizione}</td>
							<fmt:formatDate value='${co.data}' pattern='${pattern}' var="dataco" />
							<fmt:formatDate value='${co.dataLimitePagamento}' pattern='${pattern}' var="datalimitepagamentoco" />
							<fmt:formatDate value='${co.dataConfermaCO}' pattern='${pattern}' var="dataconfermaco" />
							<td class="textcenter" id="dataco-${status.index}">${dataco}</td>
							<td class="textcenter" id="datalimitepagamentoco-${status.index}">${datalimitepagamentoco}</td>
							<td class="textcenter" id="dataconfermaco-${status.index}">${dataconfermaco}</td>
							<fmt:formatNumber value='${co.imponibileCO}' pattern='${patternNumber}' var="imponibile" />
							<fmt:formatNumber value='${co.lordoCO}' pattern='${patternNumber}' var="lordo" />
							<td class="textright" id="imponibile-${status.index}">${imponibile}</td>
							<td class="textright" id="lordo-${status.index}">${lordo}</td>							
							<td class="textcenter" id="ricevutabonificoco-${status.index}">
								<c:if test="${co.ricevutaBonifico != null && co.ricevutaBonifico != ''}">
									<c:url var="urlDownload" value="download.srvl">
										<c:param name="idunit" value="${co.idFornitura}" />
										<c:param name="id" value="ricevutabonificoco" />
										<c:param name="idsubunit" value="${co.idCo}" />
										<c:param name="anno" value="${co.anno}" />
										<c:param name="numero" value="${co.numero}" />
									</c:url>
									<a href="${fn:escapeXml(urlDownload)}"
										id="download-ricevutabonificoco-${co.idFornitura}-${co.idCo}"
										title="download ricevuta bonifico">
										<i class="fas fa-download"></i>
									</a>
								</c:if>
							</td>							
							<fmt:formatDate value='${co.dataNotificaFornitore}' pattern='${pattern}' var="datanotificafornitoreco" />
							<td class="textcenter">${datanotificafornitoreco}</td>
							<td class="icon textcenter">
								<c:url var="urlModificaCoDaPagare"
									value="codapagareedit.srvl">
									<c:param name="filtroanno" value="${filtroanno}" />
									<c:param name="filtronumero" value="${filtronumero}" />
									<c:param name="startDate" value="${startDate}" />
									<c:param name="endDate" value="${endDate}" />
									<c:param name="startDateLimitePagamento" value="${startDateLimitePagamento}" />
									<c:param name="endDateLimitePagamento" value="${endDateLimitePagamento}" />
									<c:param name="startDateConferma" value="${startDateConferma}" />
									<c:param name="endDateConferma" value="${endDateConferma}" />
									<c:param name="numeroco" value="${numeroco}" />
									<c:param name="fornitore" value="${fornitore}" />
									<c:param name="richiedente" value="${richiedente}" />
									<c:param name="anno" value="${co.anno}" />
									<c:param name="numero" value="${co.numero}" />
									<c:param name="idfornitura" value="${co.idFornitura}" />
									<c:param name="id" value="${co.idCo}" />
									<c:param name="codapagareepagate" value="${codapagareepagate}" />
								</c:url> 
								<a href="${urlModificaCoDaPagare}" title="modifica"
								id="modifica-${status.index}" class="btn btn-default fa fa-edit"></a>
							</td>
						</tr>
						</c:forEach>
					</tbody>
				</table>
			</c:when>
			<c:otherwise>
				<h3>Non sono presenti conferme d'ordine da pagare</h3>
			</c:otherwise>
		</c:choose>
	</div>
	<%@ include file="../footer.jspf"%>
</body>
</html>