<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<?xml version="1.0" encoding="UTF-8" ?>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="elabor" uri="http://elabor.biz/tld/tools"%>

<!DOCTYPE html>

<html lang="it" xmlns="http://www.w3.org/1999/xhtml">

<head>
<TITLE>CO da pagare</TITLE>
<%@ include file="../head.jspf"%>
</head>

<body>
	<%@ include file="../header.jspf"%>
	<%@ include file="../navigationbar.jspf"%>
	<div>
		<h1 id="title" class="mainColor textcenter">Servizio '${co.codiceCommessa}' - Modifica Conferma ordine '${co.numeroCo}'</h1>
		<div id="messages">
			<%@ include file="../talk.jspf"%>
		</div>
	</div>
	<c:set var="pattern" value="dd/MM/yyyy" />
	<c:set var="patternNumber" value="#,##0.00"/>
	<div class="container">
	
		<c:set var="urleditco" value="codapagareedit.srvl" />
		<form method="post" action="${fn:escapeXml(urleditco)}" enctype="multipart/form-data">
			<input type="text" name="codapagareepagate" value="${codapagareepagate}" hidden='hidden' />
			<input type="text" name="filtroanno" value="${filtroanno}" hidden='hidden' /> 
			<input type="text" name="filtronumero" value="${filtronumero}" hidden='hidden' />
			<input type="text" name="startDate" value="${startDate}" hidden='hidden' />
			<input type="text" name="endDate" value="${endDate}" hidden='hidden' />
			<input type="text" name="startDateLimitePagamento" value="${startDateLimitePagamento}" hidden='hidden' />
			<input type="text" name="endDateLimitePagamento" value="${endDateLimitePagamento}" hidden='hidden' />
			<input type="text" name="startDateConferma" value="${startDateConferma}" hidden='hidden' />
			<input type="text" name="endDateConferma" value="${endDateConferma}" hidden='hidden' />
			<input type="text" name="numeroco" value="${numeroco}" hidden='hidden' />
			<input type="text" name="fornitore" value="${fornitore}" hidden='hidden' />
			<input type="text" name="richiedente" value="${richiedente}" hidden='hidden' />
			<input type="text" name="anno" value="${co.anno}" hidden='hidden' /> 
			<input type="text" name="numero" value="${co.numero}" hidden='hidden' /> 
			<input type="text" name="idfornitura" value="${co.idFornitura}" hidden='hidden' /> 
			<input type="text" name="id" value="${co.idCo}" hidden='hidden' /> 
			<div class="col-xs-12 col-md-12 top-buffer">
				<fmt:formatDate value='${co.data}' pattern='${pattern}' var="dataco" />
				<fmt:formatDate value='${co.dataLimitePagamento}' pattern='${pattern}' var="datalimitepagamentoco" />
				<div class="row form-group">
					<div class="col-md-4 col-sm-4 col-xs-12">
						<label for="fornitore">Fornitore</label> 
						<input class="form-control" type="text"
							name="fornitore" id="fornitore" value="${co.fornitore}"
							disabled = 'disabled' /> 
					</div>
					<div class="col-md-4 col-sm-4 col-xs-12">
						<label for="dataco">Data CO</label> 
						<input class="form-control" type="text"
							name="dataco" id="dataco" value="${dataco}"
							disabled = 'disabled' /> 
					</div>
					<div class="col-md-4 col-sm-4 col-xs-12">
						<label for="dataLimitePagamento">Data limite pagamento</label> 
						<input class="form-control"
							type="text" name="datalimitepagamento" id="datalimitepagamento" value="${datalimitepagamentoco}" 
							disabled = 'disabled' /> 
					</div>
				</div>
			</div>
			<div class="col-xs-12 col-md-12 top-buffer">
				<fmt:formatDate value='${co.dataConfermaCO}' pattern='${pattern}' var="dataconfermaco" />
				<fmt:formatNumber value='${co.imponibileCO}' pattern='${patternNumber}' var="imponibile" />
				<fmt:formatNumber value='${co.lordoCO}' pattern='${patternNumber}' var="lordo" />
				<div class="row form-group">
					<div class="col-md-4 col-sm-4 col-xs-12">
						<label for="dataconfermaco">Data conferma CO</label> 
						<input class="form-control"
							type="text" name="dataconfermaco" id="dataconfermaco" value="${dataconfermaco}" 
							disabled = 'disabled' /> 
					</div>
					<div class="col-md-4 col-sm-4 col-xs-12">
						<label for="imponibile">Imponibile</label> 
						<input class="form-control" type="text"
							name="imponibile" id="imponibile" value="${imponibile}"
							disabled = 'disabled' /> 
					</div>
					<div class="col-md-4 col-sm-4 col-xs-12">
						<label for="lordo">Lordo</label> 
						<input class="form-control"
							type="text" name="lordo" id="lordo" value="${lordo}" 
							disabled = 'disabled' /> 
					</div>
				</div>
			</div>
			<div class="col-md-6 col-sm-6 col-xs-6">
				<c:if test="${co.documento != null &&	co.documento != ''}">
						<c:url var="urlDownload" value="download.srvl">
							<c:param name="idunit" value="${co.idFornitura}" />
							<c:param name="id" value="documentoco" />
							<c:param name="idsubunit" value="${co.idCo}" />
							<c:param name="anno" value="${anno}" />
							<c:param name="numero" value="${numero}" />
						</c:url>
						
						<label for="download-documentoco-${co.idFornitura}-${idCo}" id="labeldownloaddocumentoco">download CO</label>
						<a href="${fn:escapeXml(urlDownload)}" id="download-documentoco-${co.idFornitura}-${idCo}">${co.documento}</a>
							
				</c:if>
			</div>
			<div class="col-xs-12 col-md-12 top-buffer">
				<div class="row form-group">
				

					<div class="col-md-8 col-sm-8 col-xs-8">
						<c:choose>
						
							<c:when test="${co.ricevutaBonifico != null &&	co.ricevutaBonifico != ''}">
								<c:url var="urlDownload" value="download.srvl">
									<c:param name="idunit" value="${co.idFornitura}" />
									<c:param name="id" value="ricevutabonificoco" />
									<c:param name="idsubunit" value="${co.idCo}" />
									<c:param name="anno" value="${anno}" />
									<c:param name="numero" value="${numero}" />
								</c:url>
								
								<label for="download-ricevutabonificoco-${co.idFornitura}-${idCo}" id="labeldownloadricevutabonificoco">download ricevuta bonifico</label>
								<a href="${fn:escapeXml(urlDownload)}" id="download-ricevutabonificoco-${co.idFornitura}-${idCo}">${co.ricevutaBonifico}</a>
									<label for="deletericevutabonificoco"></label>
									<button type="submit" id="deletericevutabonificoco" name="deletefile"
										title="deletefile" 
										class="btn btn-default fa fa fa-trash"></button>
							</c:when>
							<c:otherwise>
								<label for="ricevutabonificoco" id="labelcaricamentoricevutabonificoco">caricamento ricevuta bonifico</label>
								<input type="file" id="ricevutabonificoco" name="ricevutabonificoco"
									class="form-control"
									value="${co.ricevutaBonifico}" />
							</c:otherwise>
						</c:choose>
					</div>
					<div class="col-md-4 col-sm-4 col-xs-12"></div>
				</div>
			</div>
			
			<div class="col-xs-12 col-md-12 top-buffer">
				<div class="row form-group">
					<div class="col-md-4 col-sm-4 col-xs-12">
						<c:set var="notificafornitore" value =""/>
						<c:if test="${co.dataNotificaFornitore != null and not empty co.dataNotificaFornitore}">
							<fmt:formatDate value='${co.dataNotificaFornitore}' pattern='${pattern}' var="datanotificafornitore" />
							<c:set var="notificafornitore" value ="(gi&agrave inviata il ${datanotificafornitore})"/>
						</c:if>
								<input type="checkbox" name="invianotificafornitore" ${checked} id="invianotificafornitore" value="true"/>
								<label for="invianotificafornitore">Invia notifica al fornitore ${notificafornitore}</label>
					</div>
					<div class="col-md-4 col-sm-4 col-xs-12"></div>
					<div class="col-md-4 col-sm-4 col-xs-12"></div>
				</div>
			</div>
			
			
			
			
			
			<div class="row form-group col-xs-9 col-sm-9 col-md-9">
				<button type="submit" id="editco" title="conferma"
					class="btn btn-default fa fa-check"></button>
				<c:url var="urlAnnulla" value="codapagare.srvl">
					<c:param name="codapagareepagate" value="${codapagareepagate}" />
					<c:param name="filtroanno" value="${filtroanno}" /> 
					<c:param name="filtronumero" value="${filtronumero}" />
					<c:param name="startDate" value="${startDate}" />
					<c:param name="endDate" value="${endDate}" />
					<c:param name="startDateLimitePagamento" value="${startDateLimitePagamento}" />
					<c:param name="endDateLimitePagamento" value="${endDateLimitePagamento}" />
					<c:param name="startDateConferma" value="${startDateConferma}" />
					<c:param name="endDateConferma" value="${endDateConferma}" />
					<c:param name="numeroco" value="${numeroco}" />
					<c:param name="fornitore" value="${fornitore}" />
					<c:param name="richiedente" value="${richiedente}" />
				</c:url>
				<a href="${fn:escapeXml(urlAnnulla)}" id="annulla" class="btn btn-default btn-lg fas fa-arrow-left"></a>
			</div>
		
		</form>
	
	</div>
	<%@ include file="../footer.jspf"%>
	
</body>

</html>