<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<?xml version="1.0" encoding="UTF-8" ?>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="elabor" uri="http://elabor.biz/tld/tools"%>

<!DOCTYPE html>

<html lang="it" xmlns="http://www.w3.org/1999/xhtml">

<head>
<TITLE>Fatture da emettere</TITLE>
<%@ include file="../head.jspf"%>
</head>

<body>
	<%@ include file="../header.jspf"%>
	<%@ include file="../navigationbar.jspf"%>
	<div>
		<h1 id="title" class="mainColor textcenter">Fatture da emettere</h1>
		<div id="messages">
			<%@ include file="../talk.jspf"%>
		</div>
	</div>
	<c:set var="pattern" value="dd/MM/yyyy" />
	<c:set var="patternNumber" value="#,##0.00"/>
	<div class="container">
		<c:set var="urlFiltro" value="fatturedaemettere.srvl" />
		<form method="post" action="${fn:escapeXml(urlFiltro)}">
			<div class="form-group row inlinea marginleft isolated checkboxes">
				<elabor:condset var="checked"
					test="${fatturedaemettereeemesse}"
					trueValue="checked='checked'" falseValue="" />
				<input type="checkbox" name="fatturedaemettereeemesse"
							id="fatturedaemettereeemesse" value="true"
							${checked} />
				<label>visualizza tutte le fatture</label>
				<button id="conferma" type="submit" title="anche fatture emeesse"
					name="buttonFattureEmesse" class="btn btn-default fa fa-check"></button>
			</div>
		</form>
		<c:choose>
			<c:when test="${not empty fatture}">
				<table id="tabellafatturedaemettere" aria-label="tabella fatture da emettere"
					class="table table-sthiped table-hover table-condensed table-bordered isolated">
					<thead>
						<tr>
							<th class="textcenter">Codice commessa</th>
							<th class="textcenter">Destinatario</th>
							<th class="textcenter">CF/ P.IVA/ Codice Univoco</th>
							<th class="textcenter">Indirizzo</th>
							<th class="textcenter">Descrizione</th>
							<th class="textcenter">Scadenza</th>
							<th class="textcenter">Imponibile 22%</th>
							<th class="textcenter">Imponibile 10%</th>
							<th class="textcenter">Imponibile 4%</th>
							<th class="textcenter">Data emissione</th>
							<th class="textcenter">Codice MUBI</th>
							<th class="textcenter">Invio fattura socio</th>
							<th class="textcenter">Modifica</th>
						</tr>
					</thead>
					<tbody>
						<c:forEach var ="fattura" items="${fatture}" varStatus="status">
							<tr>
								<c:url var="urlEdit" value="editservizio.srvl">
									<c:param name="active_tab" value="fatturazione" />
									<c:param name="active_subtab" value="${fattura.idFatturazione}" />
									<c:param name="active_subsubtab" value="${fattura.id}" />
									<c:param name="anno" value="${fattura.anno}" />
									<c:param name="numero" value="${fattura.numero}" />
								</c:url>
								<td class="textcenter" id="codicecommessa-${status.index}">
									<a  href="${fn:escapeXml(urlEdit)}"  target="_empty">
									${fattura.codiceCommessa}</a></td>
								<td class="textcenter" id="destinatario-${status.index}">${fattura.destinatario}</td>
								<td class="textcenter" >${fattura.cfPivaCodiceUnivoco}</td>
								<td class="textcenter" >${fattura.indirizzo}</td>
								<td class="textleft" id="descrizione-${status.index}">${fattura.descrizioneEmailHtml}</td>
								<td class="textcenter">${fattura.scadenza}</td>
								<td class="textright">${fattura.imponibile22Str}</td>
								<td class="textright">${fattura.imponibile10Str}</td>
								<td class="textright">${fattura.imponibile4Str}</td>
								<td class="textcenter" id="dataemissione-${status.index}">${fattura.dataEmissioneStr}</td>
								<c:choose>
									<c:when
										test="${fattura.copiaCortesia != null && fattura.copiaCortesia != ''}">
										<c:url var="urlDownload" value="download.srvl">
											<c:param name="idunit" value="${fattura.idFatturazione}" />
											<c:param name="id" value="filefattura" />
											<c:param name="idsubunit" value="${fattura.idFattura}" />
											<c:param name="anno" value="${fattura.anno}" />
											<c:param name="numero" value="${fattura.numero}" />
										</c:url>
										<td class="textcenter"><a id="mubi-${status.index}" href="${fn:escapeXml(urlDownload)}">
											${fattura.mubi}</a></td>										
									</c:when>
									<c:otherwise>
										<td class="textcenter" id="mubi-${status.index}">${fattura.mubi}</td>
									</c:otherwise>
								</c:choose>
								<td class="textcenter" id="inviafatturasocio-${status.index}">${fattura.dataEmailfatturaRichiedenteStr}</td>
								<td class="icon textcenter">
									<c:url var="urlModificaFattura"
										value="fatturedaemettereedit.srvl">
										<c:param name="anno" value="${fattura.anno}" />
										<c:param name="numero" value="${fattura.numero}" />
										<c:param name="idfatturazione" value="${fattura.idFatturazione}" />
										<c:param name="idfattura" value="${fattura.idFattura}" />
										<c:param name="fatturedaemettereeemesse" value="${fatturedaemettereeemesse}" />
									</c:url> 
									<a href="${urlModificaFattura}" title="modifica"
										id="modifica-${status.index}" class="btn btn-default fa fa-edit"></a>
								</td>
							</tr>
						</c:forEach>
					</tbody>
				</table>
			</c:when>
			<c:otherwise>
				<h3>Non sono presenti fatture da emettere</h3>
			</c:otherwise>
		</c:choose>
	</div>
	<%@ include file="../footer.jspf"%>
</body>
</html>