<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<?xml version="1.0" encoding="UTF-8" ?>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="elabor" uri="http://elabor.biz/tld/tools"%>

<!DOCTYPE html>

<html lang="it" xmlns="http://www.w3.org/1999/xhtml">

<head>
	<TITLE>Fatture da emettere</TITLE>
	<%@ include file="../head.jspf"%>
	<script>
		$(document).ready(function() {
			var container=$('.bootstrap-iso form').length>0 ? $('.bootstrap-iso form').parent() : "body";
			var options = {
				dateFormat : "dd/mm/yy",
				changeMonth : true,
				changeYear : true,
				yearRange : "-1:+1",
				container: container,
	            todayHighlight: true,
	            autoclose: true,
	            language: "it",																																																																						
			};
			$('input[name="dataemissione"]').datepicker(options);
		});
	</script>
</head>

<body>
	<%@ include file="../header.jspf"%>
	<%@ include file="../navigationbar.jspf"%>
	<c:set var="pattern" value="dd/MM/yyyy" />
	<c:choose>
			<c:when test="${fattura != null}">
				<c:set var="codicecommessa" value="${fattura.codiceCommessa}"/>
			</c:when>
			<c:otherwise>
				<c:set var="codicecommessa" value="${numero}/${anno}"/>
			</c:otherwise>
		</c:choose>
	<div>
		<h1 id="title" class="mainColor textcenter">Servizio '${codicecommessa}' - Modifica Fattura </h1>
		<div id="messages">
			<%@ include file="../talk.jspf"%>
		</div>
	</div>
	<c:set var="pattern" value="dd/MM/yyyy" />
	<div class="container">
		<c:choose>
			<c:when test="${fattura != null}">
				<c:set var="idfatturazione" value="${fattura.idFatturazione}"/>
				<c:set var="idfattura" value="${fattura.idFattura}"/>
				<c:set var="numerofattura" value="${fattura.numeroFattura}"/>
				<fmt:formatDate value='${fattura.dataEmissione}' pattern='${pattern}' var="dataemissione" />
				<c:set var="mubi" value="${fattura.mubi}"/>
				<c:set var="copiacortesia" value="${fattura.copiaCortesia}"/>
			</c:when>
			<c:otherwise>
				<c:set var="idfatturazione" value="${idfatturazione}"/>
				<c:set var="idfattura" value="${idfattura}"/>
				<c:set var="numerofattura" value="${numerofattura}"/>
				<c:set var="dataemissione" value="${dataemissione}"/>
				<c:set var="mubi" value="${mubi}"/>
				<c:set var="copiacortesia" value="${copiacortesia}"/>
			</c:otherwise>
		</c:choose>
		<c:set var="urleditfattura" value="fatturedaemettereedit.srvl" />
		<form method="post" action="${fn:escapeXml(urleditfattura)}" enctype="multipart/form-data">
			<input type="hidden" name="fatturedaemettereeemesse" value="${fatturedaemettereeemesse}" /> 
			<input type="hidden" name="anno" value="${anno}"/> 
			<input type="hidden" name="numero" value="${numero}" /> 
			<input type="hidden" name="idfatturazione" value="${idfatturazione}" /> 
			<input type="hidden" name="idfattura" value="${idfattura}" /> 
			<div class="col-xs-12 col-md-12 top-buffer">
				<div class="row form-group">
					<div class="col-md-4 col-sm-4 col-xs-12">
						<label for="mubi">Codice MUBI</label> 
						<input class="form-control"
							type="text" name="mubi" id="mubi" value="${mubi}" /> 
					</div>
					<div class="col-md-4 col-sm-4 col-xs-12">
						<label for="datafattura">Data emissione</label> 
						<input class="form-control" type="text"
							name="dataemissione" id="dataemissione" value="${dataemissione}"/> 
					</div>
					<div class="col-md-4 col-sm-4 col-xs-12"></div>
				</div>
			</div>
			<div class="col-xs-12 col-md-12 top-buffer">
				<div class="row form-group">
				
					<div class="col-md-4 col-sm-4 col-xs-12">
						<c:choose>
						
							<c:when test="${copiacortesia != null && copiacortesia != ''}">
								<c:url var="urlDownload" value="download.srvl">
									<c:param name="idunit" value="${fattura.idFatturazione}" />
									<c:param name="id" value="filefattura" />
									<c:param name="idsubunit" value="${fattura.idFattura}" />
									<c:param name="anno" value="${anno}" />
									<c:param name="numero" value="${numero}" />
								</c:url>
								
								<label for="copiacortesia">download copia cortesia</label>
								<a href="${fn:escapeXml(urlDownload)}" id="copiacortesia" >
									${copiacortesia}</a>
									<label for="deletecopiacortesia">cancella documento</label>
									<button type="submit" id="deletecopiacortesia" name="deletefile"
										title="deletefile" 
										class="btn btn-default fa fa fa-trash"></button>
							</c:when>
							<c:otherwise>
								<label for="uploadcopiacortesia">caricamento copia cortesia</label>
								<input type="file" id="uploadcopiacortesia" name="uploadcopiacortesia"
									class="form-control"
									value="${copiacortesia}" />
							</c:otherwise>
						</c:choose>
					</div>	
				</div>
			</div>
			
			
			
			
			
			<div class="col-xs-12 col-md-12 top-buffer">
				<div class="row form-group">
					<div class="col-md-4 col-sm-4 col-xs-12">
						<c:set var="inviofattura" value =""/>
						<c:if test="${fattura.dataEmailfatturaRichiedenteStr != null and not empty fattura.dataEmailfatturaRichiedenteStr}">
							<c:set var="inviofattura" value ="(gi&agrave inviata il ${fattura.dataEmailfatturaRichiedenteStr})"/>
						</c:if>
								<input type="checkbox" name="inviafatturasocio" ${checked} id="inviafatturasocio" value="true"/>
								<label for="inviafatturasocio">Invia fattura al socio ${inviofattura}</label>
					</div>
					<div class="col-md-4 col-sm-4 col-xs-12"></div>
					<div class="col-md-4 col-sm-4 col-xs-12"></div>
				</div>
			</div>
			
			
			
			
			
			
			
			
			<div class="row form-group col-xs-9 col-sm-9 col-md-9">
				<button type="submit" id="editfattura" title="conferma"
					class="btn btn-default fa fa-check"></button>
				<c:url var="urlAnnulla" value="fatturedaemettere.srvl">
					<c:param name="fatturedaemettereeemesse" value="${fatturedaemettereeemesse}" />
				</c:url>
				<a href="${fn:escapeXml(urlAnnulla)}" id="annulla" class="btn btn-default btn-lg fas fa-arrow-left"></a>
			</div>
		
		</form>
	
	</div>
	<%@ include file="../footer.jspf"%>
	
</body>

</html>