<?xml version="1.0" encoding="UTF-8" ?>

<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib prefix="elabor" uri="http://elabor.biz/tld/tools"%>

<!DOCTYPE html>

<html lang="it" xmlns="http://www.w3.org/1999/xhtml">

<head>
<TITLE>Cruscotto</TITLE>
<%@ include file="../head.jspf"%>

</head>

<body>
	<%@ include file="../header.jspf"%>
	<%@ include file="../navigationbar.jspf"%>
	<div class="container"  role="main">
		<h1 id="title" class="mainColor textcenter">Cruscotto</h1>
		<div id="messages">
			<%@ include file="../talk.jspf"%>
		</div>
		<c:set var="pattern" value="dd/MM/yyyy" />
		<c:choose>
			<c:when test="${inputmodel}">
				<c:set var="nomegrafico" value="${nome}" />
				<c:set var="querygrafico" value="${query}" />
				<c:set var="categoriagrafico" value="${categoria}" />
				<c:set var="tipografico" value="${tipo}" />
				<c:set var="cruscottografico" value="${cruscotto}" />
			</c:when>
			<c:otherwise>
				<c:set var="nomegrafico" value="" />
				<c:set var="querygrafico" value="" />
				<c:set var="categoriagrafico" value="" />
				<c:set var="tipografico" value="" />
				<c:set var="cruscottografico" value="" />
			</c:otherwise>
		</c:choose>	
		<fmt:formatDate value='${inizio}' pattern='${pattern}' var="datainizio" />
		<fmt:formatDate value='${fine}' pattern='${pattern}' var="datafine" />
			<div class="col-xs-12 col-md-12 top-buffer isolated">
				<form method="post" name="forma" action="cruscotto.srvl">
					<div class="form-group">
						<label for="nome">nome</label>
						<input type="text" id="nome" name="nome" value="${nomegrafico}" class="form-control" autofocus="autofocus" />
					</div>
					<div class="form-group">
						<label for="nome">query</label>
						<input type="text" id="query" name="query" value="${querygrafico}" class="form-control" autofocus="autofocus" />
					</div>
					<div class="form-group">
						<label for="nome">categoria</label>
						<input type="text" id="categoria" name="categoria" value="${categoriagrafico}" class="form-control" autofocus="autofocus" />
					</div>
					<div class="form-group">
						<label for="nome">tipo</label>
						<select name="tipo" class="form-control" id="tipi">
								<c:forEach var="current" items="${tipi}">
									<c:set var="selected" value="" />
									<c:if test="${current == tipografico}">
										<c:set var="selected" value="selected='selected'" />
									</c:if>
									<option value="${current}" ${selected}>${current.descrizione}</option>
								</c:forEach>
							</select>
					</div>
					<div class="form-group">
						<label for="nome">cruscotto</label>
						<input type="text" id="ordinecruscotto" name="cruscotto" value="${cruscottografico}" class="form-control" autofocus="autofocus" />
					</div>
					<div>
						<button type="submit" id="submit" title="crea grafico" class="btn btn-default fas fa-check"></button>
					</div>
				</form>
				
				<h2 id="title" class="mainColor textcenter isolated">Elenco grafici</h2>
				
				<c:choose>
					<c:when test="${not empty grafici}"> 
						<table id="tabellagrafici" aria-label="tabella grafici"
							class="table-hover table-condensed table-bordered isolated"
							style="width: 100%;">
							<thead>
								<tr>
									<th class="textcenter">nome</th>
									<th class="textcenter">query</th>
									<th class="textcenter">categoria</th>
									<th class="textcenter">tipo</th>
									<th class="textcenter">cruscotto</th>
									<th class="textcenter">cancella</th>
									<th class="textcenter">esegui query</th>
								</tr>
							</thead>
							<tbody>
								<c:forEach var="grafico" items="${grafici}"
									varStatus="statusRiga">
									<c:set var="nomegrafico" value="${grafico.name}" />
									<c:set var="querygrafico" value="${grafico.query}" />
									<c:set var="categoriagrafico" value="${grafico.categoria}" />
									<c:set var="tipografico" value="${grafico.tipo.descrizione}" />
									<c:set var="cruscottografico" value="${grafico.cruscotto}" />
										<tr>
											<td class="textcenter" id="nomegrafico-${statusRiga.index}"
												rowspan="${rowspan}"><c:url var="urlEditGrafico"
															value="editgrafico.srvl">
															<c:param name="nome" value="${nomegrafico}" />
														</c:url> <a href="${fn:escapeXml(urlEditGrafico)}"
														id="editgrafico-${statusRiga.index}"
														title="modifica grafico">${nomegrafico}</a></td>
											<td class="textcenter" id="querygrafico-${statusRiga.index}"
												rowspan="${rowspan}">${querygrafico}</td>
											<td class="textcenter" id="categoriagrafico-${statusRiga.index}"
												rowspan="${rowspan}">${categoriagrafico}</td>
											<td class="textcenter" id="tipografico-${statusRiga.index}"
												rowspan="${rowspan}">${tipografico}</td>
											<td class="textcenter" id="cruscottografico-${statusRiga.index}"
												rowspan="${rowspan}">${cruscottografico}</td>
											<td class="textcenter"
												rowspan="${rowspan}"><c:url var="urlDeleteGrafico"
															value="deletegrafico.srvl">
															<c:param name="nome" value="${nomegrafico}" />
														</c:url> <a class="btn btn-default fa fa fa-trash" href="${fn:escapeXml(urlDeleteGrafico)}"
														id="deletegrafico-${statusRiga.index}"
														title="cancella grafico"></a></td>
											<td class="textcenter"
												id="esegui-${statusRiga.index}"
												rowspan="${rowspan}"><c:url var="urlExecute"
															value="/api/grafico">
															<c:param name="nome" value="${nomegrafico}" />
															<c:param name="inizio" value="${datainizio}" />
															<c:param name="fine" value="${datafine}" />
														</c:url> <a class="btn btn-default fa fa fa-play" href="${fn:escapeXml(urlExecute)}" target="_blank"
														id="eseguiquery-${statusRiga.index}"
														title="esegui query"></a></td>
								</c:forEach>
							</tbody>
						</table>
					</c:when>
					<c:otherwise>
						<p class="raggruppamento textcenter" id="nessungrafico">Non ci sono grafici da mostrare
						<p />
					</c:otherwise>
				</c:choose>					
			</div>			
	</div>

	<%@ include file="../footer.jspf"%>

</body>

</html>