<?xml version="1.0" encoding="UTF-8" ?>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib prefix="elabor" uri="http://elabor.biz/tld/tools"%>

<!DOCTYPE html>

<html lang="it" xmlns="http://www.w3.org/1999/xhtml">

<head>
<TITLE>Richiesta di servizio</TITLE>
<%@ include file="../head.jspf"%>
<script>
	$(function() {
		$('#data')
				.datepicker({
					dateFormat : "dd/mm/aaaa",
					changeMonth : true,
					changeYear : true,
					yearRange : "-10:+1",
					autoclose : true,
					language : "it"
				}).val();
	});
	$(function() {
		$('#previsionedocumentopassiva').datepicker({
			format: "mm/yyyy",
			changeMonth: true,
			changeYear: true,
			yearRange: "-10:+1",
	        startView: "months", 
	        minViewMode: "months",
	        autoclose: true,
	        language: "it"
		}).val();
	});
	$(function() {
		$('#datacompetenzaforzatapassiva').datepicker({
			format: "mm/yyyy",
			changeMonth: true,
			changeYear: true,
			yearRange: "-10:+1",
	        startView: "months", 
	        minViewMode: "months",
	        autoclose: true,
	        language: "it"
		}).val();
	});
</script>
</head>

<body>
	<%@ include file="../header.jspf"%>
	<%@ include file="../navigationbar.jspf"%>
	<div>
		<c:set var="data" value="${data}" />
		<c:set var="numerofatturapassiva" value="${numerofatturapassiva}" />
		<c:set var="numeromubi" value="${numeromubi}" />
		<c:set var="descrizione" value="${descrizione}" />
		<c:set var="fornitore" value="${fornitore}" />
		<c:set var="imponibile22" value="${imponibile22}" />
		<c:set var="imponibile10" value="${imponibile10}" />
		<c:set var="imponibile4" value="${imponibile4}" />
		<c:set var="imponibile0" value="${imponibile0}" />
		<c:set var="allegato" value="${allegato}" />
		<c:set var="ricevutapagamento" value="${ricevutapagamento}" />
		<c:set var="pagata" value="${pagata}" />
		<c:choose>
			<c:when test="${empty ordine}">
				<c:set var="ordine" value="da ordinare" />
			</c:when>
			<c:otherwise>
				<c:set var="ordine" value="${ordine}" />
			</c:otherwise>
		</c:choose>
		<c:set var="consegna" value="${consegna}" />
		<c:set var="tempistica" value="${tempistica}" />
		<c:set var="note" value="${note}" />

		<h1 id="title" class="textcenter mainColor">Inserimento nuova
			fattura</h1>
		<div id="messages">
			<%@ include file="../talk.jspf"%>
		</div>
		<div class="container ">
			<c:url var="addUrl" value="addfattura.srvl" />
			<form method="post" action="${fn:escapeXml(addUrl)}"
				enctype="multipart/form-data">
				<input type="text" name="anno" hidden="hidden" value="${anno}" />
				<input type="text" name="numero" hidden="hidden" value="${numero}" />
				<input type="text" name="offerta" hidden="hidden" value="${idOfferta}" />
				<input type="text" name="idCo" hidden="hidden" value="${idCo}" />
				<c:set var="tecnicousername" value="tecnico" />
				<div class="row">
					<table id="tabellanuovafattura-${id}" aria-label="tabella nuova fattura ${id}"
						class="table table-responsive table-hover table-condensed">
						<tr>
							<th id="datanuovafattura-${id}" class="textcenter sbordata">data</th>
							<th id="numerodocnuovafattura-${id}" class="textcenter sbordata">num. doc. esterno</th>
							<th id="codiceMubinuovafattura-${id}" class="textcenter sbordata">codice MUBI</th>
							<th id="descrizionenuovafattura-${id}" class="textcenter sbordata">descrizione</th>
						</tr>
						<tr>
							<td headers="datanuovafattura-${id}" class="textcenter sbordata"><input type="text"
								name="data"
								id="data"
								value="${data}"
								placeholder="gg/mm/aaaa" ${disabled} /></td>
							<td headers="numerodocnuovafattura-${id}" class="textcenter sbordata"><input type="text"
								name="numerofatturapassiva"
								id="numerofatturapassiva"
								value="${numerofatturapassiva}"
								${disabled} /></td>
							<td headers="codiceMubinuovafattura-${id}" class="textcenter sbordata"><input type="text"
								name="numeromubi"
								id="numeromubi"
								value="${numeromubi}"
								${disabled} /></td>
							<td headers="descrizionenuovafattura-${id}" class="textcenter sbordata"><textarea
									class="form-control"
									name="descrizione"
									rows="3" cols="60"
									id="descrizione"
									${disabled}>${descrizione}</textarea>
							</td>

						</tr>
						<tr>
							<th id="ordinenuovafattura-${id}" class="textcenter sbordata"><div>Ordine</div><div style="font-size: 80%;">(urgente / da ordinare / data ordine)</div></th>
							<th id="consegnatanuovafattura-${id}" class="textcenter sbordata">Consegnata</th>
							<th id="tempisticanuovafattura-${id}" class="textcenter sbordata"><div>Tempistica consegna</div></th>
							<th id="notenuovafattura-${id}" class="textcenter sbordata">Note</th>
							<th class="textcenter sbordata" scope="col"></th>
						</tr>
						<tr>
							<td headers="ordinenuovafattura-${id}" class="textcenter sbordata"><input type="text"
								name="ordine"
								id="ordine"
								value="${ordine}" placeholder="gg/mm/aaaa" ${disabled} /></td>
							<elabor:condset var="checked"
								test="${not empty consegna}"
								trueValue="checked='checked'" falseValue="" />
							<td headers="consegnatanuovafattura-${id}" class="textcenter sbordata"><input type="checkbox"
								name="consegna"
								id="consegna"
								${checked}
								placeholder="indirizzo di consegna" ${disabled} /></td>
							<td headers="tempisticanuovafattura-${id}" class="textcenter sbordata"><input type="text"
								name="tempistica"
								id="tempistica"
								value="${tempistica}" ${disabled} /></td>
							<td headers="notenuovafattura-${id}" class="textcenter sbordata"><textarea name="note"
									id="note" ${disabled}>${note}</textarea></td>
							
						</tr>
					</table>
				</div>
				<div class="row">
					<div class="form-group col-xs-4 col-sm-4 col-md-4">
						<table id="tabellaimponibili-${id}" aria-label="tabella imponibili ${id}"
							class="table table-responsive table-hover table-condensed">
							<tbody>
								<tr>
									<th rowspan="4" scope="col">imponibile</th>
									<td class="textcenter"><label for="imponibile22">22,00%</label> <input
										type="text"
										name="imponibile22"
										id="imponibile22"
										value="${imponibile22}"
										${disabled} /></td>
								</tr>
								<tr>
									<td class="textcenter"><label for="imponibile10">10,00%</label> <input
										type="text"
										name="imponibile10"
										id="imponibile10"
										value="${imponibile10}"
										${disabled} /></td>
								</tr>
								<tr>
									<td class="textcenter"><label for="imponibile4">4,00%</label> <input
										type="text"
										name="imponibile4"
										id="imponibile4"
										value="${imponibile4}"
										${disabled} /></td>
								</tr>
								<tr>
									<td class="textcenter"><label for="imponibile0">0,00%</label> <input
										type="text"
										name="imponibile0"
										id="imponibile0"
										value="${imponibile0}"
										${disabled} /></td>
								</tr>
							</tbody>
						</table>
					</div>
					<div class="form-group col-xs-3 col-sm-3 col-md-3">
						
						<div class="isolated">
							<label for="previsionedocumentopassiva">previsione documento</label>
							<input type="text"
								name="previsionedocumentopassiva"
								id="previsionedocumentopassiva"
								value="${previsionedocumentopassiva}"
								placeholder="mm/aaaa" ${disabled} />
						<div class="isolated">
							<label for="datacompetenzaforzatapassiva">data competenza forzata</label>
							<input type="text"
								name="datacompetenzaforzatapassiva"
								id="datacompetenzaforzatapassiva"
								value="${datacompetenzaforzatapassiva}"
								placeholder="mm/aaaa" ${disabled} />
						</div>
						<div>
							<label for="allegato">caricamento allegato</label> <input class="form-control"
								type="file"
								name="allegato"
								id="allegato"
								value="${allegato}"
								${disabled} />
						</div>
						<div>
							<label for="ricevutapagamento">caricamento ricevuta pagamento</label> <input
								class="form-control" type="file"
								name="ricevutapagamento"
								id="ricevutapagamento"
								value="${ricevutapagamento}" ${disabled} />
						</div>
						<div class="isolated">
							<c:set var="pagata" value="NO" />
							<label
								for="pagata">pagata</label>
							<input
								id="pagata"
								type="text"
								name="pagata"
								value="${pagata}" ${disabled} />
						</div>
					</div>
					</div>
				</div>
				<div class="row form-group col-xs-9 col-sm-9 col-md-9">
					<button type="submit" id="addfattura" title="conferma"
						class="btn btn-default fa fa-check"></button>
					<c:url var="urlAnnulla" value="annulla.srvl">
						<c:param name="anno" value="${anno}" />
						<c:param name="numero" value="${numero}" />
					</c:url>
					<a href="${fn:escapeXml(urlAnnulla)}" id="annulla" class="btn btn-default btn-lg fas fa-arrow-left"></a>
				</div>
			</form>
		</div>
	</div>
	<%@ include file="../footer.jspf"%>
</body>
</html>