<?xml version="1.0" encoding="UTF-8" ?>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>

<html lang="it" xmlns="http://www.w3.org/1999/xhtml">

<head>
<TITLE>Cancellazione documento</TITLE>
<%@ include file="../head.jspf"%>
<body>
	<%@ include file="../header.jspf"%>
	<%@ include file="../navigationbar.jspf"%>
	
	<div>
		<h1 id="title" class="mainColor textcenter">Cancellazione documento</h1>
		<div id="messages">
			<%@ include file="../talk.jspf"%>
		</div>
		
		<c:url var="deleteUrl" value="confermacancellafatturaattiva.srvl" >
			<c:param name="offerta" value="${offerta}" />
			<c:param name="fattura" value="${fattura}" />
			<c:param name="anno" value="${anno}" />
			<c:param name="numero" value="${numero}" />
		</c:url>
		
		<form method="post" action="${fn:escapeXml(deleteUrl)}" class="form-horizontal">
			<div class="container">
			<label>Dando conferma la fattura "${fattura}" relativa all'offerta "${offerta}" del servizio "${anno}-${numero}" verr&agrave; cancellata</label>
				<div class="button">
					<c:url var="urlAnnulla" value="annulla.srvl">
						<c:param name="id" value="${offerta}" />
						<c:param name="idsubunit" value="${fattura}" />
						<c:param name="idback" value="fatturazione" />
						<c:param name="anno" value="${anno}" />
						<c:param name="numero" value="${numero}" />
					</c:url>
					<a href="${fn:escapeXml(urlAnnulla)}" id="annulla" class="btn btn-outline-secondary btnDefault">annulla</a>
					<button
						type="submit"
						name="cancella"
						id="cancella"
						title="cancella fattura"
						class="btn btn-outline-secondary btnDefault">conferma</button>
				</div>
			</div>
		</form>
	</div>
	
	<%@ include file="../footer.jspf"%>
</body>
</html>
	