<?xml version="1.0" encoding="UTF-8" ?>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib prefix="elabor" uri="http://elabor.biz/tld/tools"%>

<!DOCTYPE html>

<html lang="it" xmlns="http://www.w3.org/1999/xhtml">

<head>
<TITLE>Richiesta di servizio</TITLE>
<%@ include file="../head.jspf"%>
<script>
$(function() {
	$('#data').datepicker({
		dateFormat: "dd/mm/aaaa",
		changeMonth: true,
		changeYear: true,
		yearRange: "-10:+1",
        autoclose: true,
        language: "it"	
	}).val();
});

$(function() {
	$('#previsionedocumentopassiva').datepicker({
		format: "mm/yyyy",
		changeMonth: true,
		changeYear: true,
		yearRange: "-10:+1",
        startView: "months", 
        minViewMode: "months",
        autoclose: true,
        language: "it"
	}).val();
});

$(function() {
	$('#datacompetenzaforzatapassiva').datepicker({
		format: "mm/yyyy",
		changeMonth: true,
		changeYear: true,
		yearRange: "-10:+1",
        startView: "months", 
        minViewMode: "months",
        autoclose: true,
        language: "it"
	}).val();
});

</script>
</head>

<body>
	<%@ include file="../header.jspf"%>
	<%@ include file="../navigationbar.jspf"%>
	<div>
		<c:set var="pattern" value="dd/MM/yyyy" />
		<c:set var="patternMeseAnno" value="MM/yyyy" />
		<c:choose>
			<c:when test="${fatturapassiva != null && not empty fatturapassiva}">
				<c:set var="idCo" value="${fatturapassiva.idCo}" />
				<c:set var="fattura" value="${fatturapassiva.id}" />
				<fmt:formatDate value='${fatturapassiva.data}' pattern='${pattern}'
					var="data" />
				<fmt:formatDate value='${fatturapassiva.previsioneDocumento}' pattern='${patternMeseAnno}'
					var="previsionedocumentopassiva" />
				<fmt:formatDate value='${fatturapassiva.dataCompetenzaForzata}' pattern='${patternMeseAnno}'
					var="datacompetenzaforzatapassiva" />
				<c:set var="numerofatturapassiva" value="${fatturapassiva.numero}" />
				<c:choose>
					<c:when
						test="${fatturapassiva.numeroMubi != null && not empty fatturapassiva.numeroMubi}">
						<c:set var="numeromubi" value="${fatturapassiva.numeroMubi}" />
					</c:when>
					<c:otherwise>
						<c:set var="numeromubi" value="da registrare" />
					</c:otherwise>
				</c:choose>
				<c:set var="descrizione" value="${fatturapassiva.descrizione}" />
				<fmt:formatNumber value='${fatturapassiva.imponibile22}'
					pattern='${patternNumber}' var="imponibile22" />
				<fmt:formatNumber value='${fatturapassiva.imponibile10}'
					pattern='${patternNumber}' var="imponibile10" />
				<fmt:formatNumber value='${fatturapassiva.imponibile4}'
					pattern='${patternNumber}' var="imponibile4" />
				<fmt:formatNumber value='${fatturapassiva.imponibile0}'
					pattern='${patternNumber}' var="imponibile0" />
				<c:set var="tipo" value="${fatturapassiva.tipo.nome}" />
				<c:set var="allegato" value="${allegato}" />
				<c:set var="ricevutapagamento" value="${ricevutapagamento}" />
				<c:set var="consegna" value="${fatturapassiva.consegnata}" />
				<c:set var="note" value="${fatturapassiva.note}" />
				<c:set var="tempistica" value="${fatturapassiva.tempistica}" />
				<c:set var="ordine" value="${fatturapassiva.ordineStr}" />
				<c:set var="annullafatturapassiva" value="${fatturapassiva.annullata}" />
				<c:choose>
					<c:when test="${fatturapassiva.pagata != null}">
						<fmt:formatDate value="${fatturapassiva.pagata}" var="pagata"
							pattern="${pattern}" />
					</c:when>
					<c:otherwise>
						<c:set var="pagata" value="NO" />
					</c:otherwise>
				</c:choose>
			</c:when>
			<c:otherwise>
				<c:set var="data" value="${data}" />
				<c:set var="previsionedocumentopassiva" value="${previsionedocumentopassiva}" />
				<c:set var="datacompetenzaforzatapassiva" value="${datacompetenzaforzatapassiva}" />
				<c:set var="numerofatturapassiva" value="${numerofatturapassiva}" />
				<c:set var="numeromubi" value="${numeromubi}" />
				<c:set var="descrizione" value="${descrizione}" />
				<c:set var="imponibile22" value="${imponibile22}" />
				<c:set var="imponibile10" value="${imponibile10}" />
				<c:set var="imponibile4" value="${imponibile4}" />
				<c:set var="imponibile0" value="${imponibile0}" />
				<c:set var="allegato" value="${allegato}" />
				<c:set var="ricevutapagamento" value="${ricevutapagamento}" />
				<c:set var="pagata" value="${pagata}" />
				<c:set var="ordine" value="${ordine}" />
				<c:set var="consegna" value="${consegna}" />
				<c:set var="tempistica" value="${tempistica}" />
				<c:set var="note" value="${note}" />
				<c:set var="idCo" value="${idCo}" />
				<c:set var="annullafatturapassiva" value="${annullafatturapassiva}" />
			</c:otherwise>
		</c:choose>

		<c:set var="patternNumber" value="#,##0.00" />
		<h1 id="title" class="textcenter mainColor">Modifica fattura
			numero '${numerofatturapassiva}' del servizio ${numero}/${anno}</h1>
		<div id="messages">
			<%@ include file="../talk.jspf"%>
		</div>
		<div class="container ">
			<c:url var="editUrl" value="editfattura.srvl" />
			<form method="post" action="${fn:escapeXml(editUrl)}"
				enctype="multipart/form-data">
				<input type="text" name="anno" hidden="hidden" value="${anno}" />
				<input type="text" name="numero" hidden="hidden" value="${numero}" />
				<input type="text" name="offerta" hidden="hidden" value="${offerta}" />
				<input type="text" name="idCo" hidden="hidden" value="${idCo}" />
				<input type="text" name="fattura" hidden="hidden" value="${fattura}" />
				<div class="row form-group col-xs-9 col-sm-9 col-md-9">
					<table id="tableeditfattura" aria-label="tabella edit fattura"
						class="table table-hover table-condensed">
						<tr>
							<th id="datafattura" class="textcenter sbordata">data</th>
							<th id="numerodocfattura" class="textcenter sbordata">num. doc. esterno</th>
							<th id="mubifattura" class="textcenter sbordata">codice MUBI</th>
							<th id="descrizionefattura" class="textcenter sbordata">descrizione</th>
						</tr>
						<tr>
							<td headers="datafattura" class="textcenter sbordata"><input type="text"
								name="data" id="data" value="${data}" placeholder="gg/mm/aaaa"
								${disabled} /></td>
							<td headers="numerodocfattura" class="textcenter sbordata"><input type="text"
								name="numerofatturapassiva" id="numerofatturapassiva"
								value="${numerofatturapassiva}" ${disabled} /></td>
							<td headers="mubifattura" class="textcenter sbordata"><input type="text"
								name="numeromubi" id="numeromubi" value="${numeromubi}"
								${disabled} /></td>
							<td headers="descrizionefattura" class="textcenter sbordata"><textarea
									class="form-control" name="descrizione" id="descrizione"
									${disabled}>${descrizione}</textarea></td>
							
						</tr>
						<tr>
							<th id="ordinefattura" class="textcenter sbordata"><div>Ordine</div><div style="font-size: 80%;">(urgente / da ordinare / data ordine)</div></th>
							<th id="consegnatafattura" class="textcenter sbordata">Consegnata</th>
							<th id="tempisticafattura" class="textcenter sbordata"><div>Tempistica</div></th>
							<th id="notefattura" class="textcenter sbordata">note</th>
							<th class="textcenter sbordata" scope="col"></th>
						</tr>
						<tr>
							<td headers="ordinefattura" class="textcenter sbordata"><input type="text"
								name="ordine" id="ordine" value="${ordine}"
								placeholder="gg/mm/aaaa" ${disabled} />
							<datalist id="orderOptions">
									<option value="da ordinare">
									<option value="urgente">
								</datalist></td>
							<elabor:condset var="checked"
								test="${consegna}"
								trueValue="checked='checked'" falseValue="" />
							<td headers="consegnatafattura" class="textcenter sbordata"><input type="checkbox"
								name="consegna"
								id="consegna"
								${checked}
								placeholder="indirizzo di consegna" ${disabled} /></td>
							<td headers="tempisticafattura" class="textcenter sbordata"><input type="text"
								name="tempistica" id="tempistica" value="${tempistica}"
								${disabled} />
							<td headers="notefattura" class="textcenter sbordata"><textarea name="note"
									id="note" ${disabled}>${note}</textarea></td>
						</tr>
					</table>
				</div>
				<div class="row">
					<div class="form-group col-xs-5 col-sm-5 col-md-5">
						<table id="tabellaimponibili-${id}" aria-label="tabella imponibili ${id}"
							class="table table-responsive table-hover table-condensed">
							<tbody>
								<tr>
									<th rowspan="4" scope="col">imponibile</th>
									<td class="textcenter"><label for="imponibile22">22,00%</label> <input
										type="text" name="imponibile22" id="imponibile22"
										value="${imponibile22}" ${disabled} /></td>
								</tr>
								<tr>
									<td class="textcenter"><label for="imponibile10">10,00%</label> <input
										type="text" name="imponibile10" id="imponibile10"
										value="${imponibile10}" ${disabled} /></td>
								</tr>
								<tr>
									<td class="textcenter"><label for="imponibile4">4,00%</label> <input
										type="text" name="imponibile4" id="imponibile4"
										value="${imponibile4}" ${disabled} /></td>
								</tr>
								<tr>
									<td class="textcenter"><label for="imponibile0">0,00%</label> <input
										type="text" name="imponibile0" id="imponibile0"
										value="${imponibile0}" ${disabled} /></td>
								</tr>
							</tbody>
						</table>
					</div>
					<div class="form-group col-xs-4 col-sm-4 col-md-4">
						<div>
														
							<div class="isolated">
								<label for="previsionedocumentopassiva">previsione documento</label>
								<input type="text"
									name="previsionedocumentopassiva"
									id="previsionedocumentopassiva"
									value="${previsionedocumentopassiva}"
									placeholder="mm/aaaa" ${disabled} />
							</div>
							<div class="isolated">
							<label for="datacompetenzaforzatapassiva">data competenza forzata</label>
							<input type="text"
								name="datacompetenzaforzatapassiva"
								id="datacompetenzaforzatapassiva"
								value="${datacompetenzaforzatapassiva}"
								placeholder="mm/aaaa" ${disabled} />
						</div>
						</div>
						
						
						<div>
							<c:choose>
								<c:when test="${allegato != null &&	allegato != ''}">
									<c:url var="urlDownload" value="download.srvl">
										<c:param name="idunit" value="${offerta}" />
										<c:param name="id" value="allegatofatturatecnico" />
										<c:param name="idsubunit" value="${idCo}" />
										<c:param name="idfinal" value="${fattura}" />
										<c:param name="anno" value="${anno}" />
										<c:param name="numero" value="${numero}" />
									</c:url>
									<label for="uploadfile-fatturapassiva-allegato">download fattura: </label>
									<a href="${fn:escapeXml(urlDownload)}"
										id="uploadfile-fatturapassiva-allegato">${allegato}</a>
									<button type="submit" name="deletefilefattura"
										value="allegatofatturatecnico" id="deletefatturatecnico"
										class="btn btn-default fa fa fa-trash"
										title="cancella allegato fattura tecnico" ${disabled}></button>
								</c:when>
								<c:otherwise>
									<label for="allegato">caricamento fattura</label>
									<input class="form-control" type="file" name="allegato"
										id="allegato" value="${allegato}" ${disabled} />
								</c:otherwise>
							</c:choose>
						</div>
						<div>
							<c:choose>
								<c:when
									test="${ricevutapagamento != null &&	ricevutapagamento != ''}">
									<c:url var="urlDownload" value="download.srvl">
										<c:param name="idunit" value="${offerta}" />
										<c:param name="idsubunit" value="${idCo}" />
										<c:param name="idfinal" value="${fattura}" />
										<c:param name="id" value="ricevutapagamento" />
										<c:param name="anno" value="${anno}" />
										<c:param name="numero" value="${numero}" />
									</c:url>
									<label for="uploadfile-fatturapassiva-ricevutapagamento">download ricevuta pagamento: </label>
									<a href="${fn:escapeXml(urlDownload)}"
										id="uploadfile-fatturapassiva-ricevutapagamento">${ricevutapagamento}</a>
									<button type="submit" name="deletefilefattura"
										value="ricevutapagamento" id="deletericevutapagamento"
										class="btn btn-default fa fa fa-trash"
										title="cancella ricevuta pagamento" ${disabled}></button>
								</c:when>
								<c:otherwise>
									<label for="ricevutapagamento">caricamento ricevuta di pagamento:</label>
									<input class="form-control" type="file"
										name="ricevutapagamento" id="ricevutapagamento"
										value="${ricevutapagamento}" ${disabled} />
								</c:otherwise>
							</c:choose>
						</div>
						<div>
							<br>
							<label for="pagata">pagata</label>
							<c:choose>
								<c:when test="${pagata != null}">
									<input id="pagata" type="text" name="pagata" value="${pagata}"
										${disabled} />
								</c:when>
								<c:otherwise>
									<input id="pagata" type="text" name="pagata" value="NO"
										${disabled} />
								</c:otherwise>
							</c:choose>
						</div>
						
						<div class="row inlinea isolated checkboxes">						
							<elabor:condset var="checked"
								test="${annullafatturapassiva}"
								trueValue="checked='checked'" falseValue="" />
							<input type="checkbox"
								name="annullafatturapassiva"
								id="annullafatturapassiva"
								value="true"
								${checked}
								 ${disabled} />
							<label class="isolated" for="annullafatturapassiva">annulla fattura (annullando la fattura gli imponibili verranno azzerati)</label>						
						</div>
					</div>
				</div>
				<div class="row form-group col-xs-9 col-sm-9 col-md-9">
					<button type="submit" id="editfattura" title="conferma"
						class="btn btn-default fa fa-check"></button>
					<c:url var="urlAnnulla" value="annulla.srvl">
						<c:param name="anno" value="${anno}" />
						<c:param name="numero" value="${numero}" />
					</c:url>
					<a href="${fn:escapeXml(urlAnnulla)}" id="annulla" class="btn btn-default btn-lg fas fa-arrow-left"></a>
				</div>
				<div class="textright">
					<button type="submit" name="deletefattura" value="deletefattura"
						id="deletefattura" class="btn btn-default fa fa fa-trash"
						title="cancella fattura" ${disabled}></button>
				</div>
			</form>
		</div>
	</div>
	<%@ include file="../footer.jspf"%>
</body>
</html>


