<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<?xml version="1.0" encoding="UTF-8" ?>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="elabor" uri="http://elabor.biz/tld/tools"%>

<!DOCTYPE html>

<html lang="it" xmlns="http://www.w3.org/1999/xhtml">

<head>
<TITLE>Elenco fornitori</TITLE>
<%@ include file="../head.jspf"%>
</head>

<body>
	<%@ include file="../header.jspf"%>
	<%@ include file="../navigationbar.jspf"%>
	<div>
		<h1 id="title" class="mainColor textcenter">Elenco fornitori</h1>
		<div id="messages">
			<%@ include file="../talk.jspf"%>
		</div>
		<div class="container">
			<c:set var="urlFiltrofornitori" value="filtrofornitori.srvl" />
			<form class="space" method="post" action="${urlFiltrofornitori}">
			<div class="form-group row">
			    <b><label for="nominativo" class="col-sm-2 col-form-label">Ricerca</label></b>
			    <div class="col-4">
			      <input type="text" class="form-control" id="nominativo" name="nominativo" value="${nominativo}">
			    </div>
			 <button id="conferma" type="submit" title="filtra i fornitori"
							class="btn btn-default fa fa-check"></button>
							
			  </div>
			</form>
		</div>
		</div>
		<div class="container">
			<div class="isolated">
				<a class="btn btn-default fa fa-plus" href="addfornitore.srvl"
					id="addfornitore" title="nuovo fornitore"></a>
			</div>
			<table id="tabellafornitori" aria-label="tabella fornitori"
				class="table table-striped table-hover table-condensed table-bordered">
				<thead>
					<tr>
						<th class="textcenter">modifica</th>
						<th class="textcenter">nome/denominazione</th>
						<th class="textcenter">email</th>
						<th class="textcenter">telefono</th>
					</tr>
				</thead>
				<tbody>
					<c:forEach var="fornitore" items="${fornitori}" varStatus="status">
						<tr>
							<td class="icon textcenter"><c:url var="urlModifica"
									value="editfornitore.srvl">
									<c:param name="identificativo" value="${fornitore.identificativo}" />
								</c:url> <a href="${urlModifica}" title="modifica fornitore"
								id="editfornitore-${status.index}"
								class="btn btn-default fa fa-edit"></a></td>
							<td>${fornitore.nome}</td>
							<td>${fornitore.email}</td>
							<td>${fornitore.telefono}</td>
						</tr>
					</c:forEach>
				</tbody>
			</table>
			<div class="isolated">
				<a class="btn btn-default fa fa-plus" href="addfornitore.srvl"
					id="addfornitore" title="nuovo fornitore"></a>
			</div>
		</div>
	<%@ include file="../footer.jspf"%>
</body>

</html>
