<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<?xml version="1.0" encoding="UTF-8" ?>

<!DOCTYPE html>

<html lang="it" xmlns="http://www.w3.org/1999/xhtml">

<head>
<TITLE>Report servizi</TITLE>
<%@ include file="../head.jspf"%>
</head>

<body>
	<%@ include file="../header.jspf"%>
	<%@ include file="../navigationbar.jspf"%>
	<c:set var="patternDate" value="dd/MM/yyyy" />
	<c:set var="patternMeseAnno" value="MM/yyyy" />
	<c:set var="pattern" value="#,##0.00" /> 
	<c:set var="patternInt" value="#,##0"/>
	<div>

		<h1 id="title" class="mainColor textcenter">Report forniture</h1>

		<div id="messages">
			<%@ include file="../talk.jspf"%>
		</div>

		<div class="container">
			<c:set var="urlFiltriForniture" value="reportFiltriForniture.srvl" />
			<%@ include file="../filtriforniture.jspf"%>
			<c:if test="${not empty reportServizi}">
			<div class="legend">
			  <span class="legend-item">
			    <span class="legend-color" style="background-color: #8ae234;"></span>
			    <span class="legend-label">consegnata</span>
			  </span>
			  <span class="legend-item">
			    <span class="legend-color" style="background-color: #fbd249;"></span>
			    <span class="legend-label">da ordinare</span>
			  </span>
			  <span class="legend-item">
			    <span class="legend-color" style="background-color: #f8abab;"></span>
			    <span class="legend-label">urgente</span>
			  </span>
			</div>
			
			<table id="tabellareportforniture" aria-label="tabella report forniture"
						class="table table-hover table-bordered tableReportForniture">
				<thead>
					<tr>
						<th class="textcenter">anno servizio</th>
						<th class="textcenter">numero servizio</th>
						<th class="textcenter">socio richiedente</th>
						<th class="textcenter">tecnico incaricato</th>
						<th class="textcenter">titolo offerta accettata</th>
						<th class="textcenter">numero CO</th>
						<th class="textcenter">descrizione fornitura</th>
						<th class="textcenter">data fattura</th>
						<th class="textcenter">numero doc. esterno</th>
						<th class="textcenter">codice MUBI</th>
						<th class="textcenter">fornitore</th>
						<th class="textcenter">imponibile</th>
						<th class="textcenter">lordo</th>
						<th class="textcenter">periodo</th>
						<th class="textcenter">pagata</th>
						<th class="textcenter">tempistica</th>
						<th class="textcenter">stato ordine</th>
						<th class="textcenter">consegnata</th>
						<th class="textcenter">note</th>
					</tr>
				</thead>
				<tbody>
					<c:forEach var="reportServizio" items="${reportServizi}" varStatus="statusServizio">
						<c:set var="startServizio" value="${true}" />
						<c:set var="servizio" value="${reportServizio.servizio}" />
						<c:set var="rowspanServizio" value="${reportServizio.numeroFatture}" />
						<c:set var="reportForniture" value="${reportServizio.reportForniture}" />
						<c:forEach var="reportFornitura" items="${reportForniture.report}" varStatus="statusFornitura">
							<c:set var="startFornitura" value="${true}" />
							<c:set var="fornitura" value="${reportFornitura.fornitura}" />
							<c:set var="rowspanFornitura" value="${reportFornitura.numeroFatture}" />
							<c:set var="reportConferme" value="${reportFornitura.reportConferme}" />
							<c:forEach var="reportConferma" items="${reportConferme.report}" varStatus="statusCo">
								<c:set var="startConferma" value="${true}" />
								<c:set var="conferma" value="${reportConferma.conferma}" />
								<c:set var="rowspanConferma" value="${reportConferma.numeroFatture}" />
								<c:set var="fatture" value="${reportConferma.fatture}" />
								<c:forEach var="fattura" items="${fatture}" varStatus="statusFattura">									
									<c:set var="ordineData" value="" />							
									<c:choose>
										<c:when
											test="${fattura.ordineStr == 'urgente' && fattura.consegnata == false}">
											<c:set var="coloreRiga" value="tempisticaRossa" />
											<c:set var="ordineData" value="urgente" />
										</c:when>
										<c:otherwise>
											<c:choose>
												<c:when test="${fattura.consegnata}">
													<c:set var="coloreRiga" value="tempisticaVerde" />
													<c:set var="ordineData" value="${fattura.ordineStr}" />
												</c:when>
												<c:otherwise>
													<c:choose>
														<c:when test="${fattura.ordineStr == 'da ordinare'}">
															<c:set var="coloreRiga" value="tempisticaGialla" />
															<c:set var="ordineData" value="da ordinare" />
														</c:when>
														<c:otherwise>
															<c:set var="coloreRiga" value="tempisticaBianca" />
															<c:set var="ordineData" value="${fattura.ordineStr}" />
														</c:otherwise>
													</c:choose>
												</c:otherwise>
											</c:choose>
										</c:otherwise>
									</c:choose>
									<tr>
										<c:if test="${startServizio}">
											<td class="textcenter" rowspan="${rowspanServizio}" id="annoservizio-${statusServizio.index}">${servizio.anno}</td>
											<td class="textcenter" rowspan="${rowspanServizio}" id="numeroservizio-${statusServizio.index}">${servizio.numero}</td>
											<td class="textcenter" rowspan="${rowspanServizio}" id="sociorichiedente-${statusServizio.index}">${servizio.richiesta.richiedente.nomeCognomeRichiedente}</td>															
											<c:set var="tecnicoprincipale" value="${servizio.richiesta.tecnicoPrincipale}" />
											<c:set var="nometecnicoprincipale" value="" />
											<c:forEach var="tecnico" items="${tecniciincaricati}">
											<c:if test="${tecnico.username == tecnicoprincipale}">											
												<c:set var="nometecnicoprincipale" value="${tecnico.nomeCognomeDenominazione}" />
											</c:if>
											</c:forEach>
											<td class="textcenter" rowspan="${rowspanServizio}" id="tecnicoprincipale-${statusServizio.index}">${nometecnicoprincipale}</td>
											<c:set var="offerte" value="${servizio.offerte}" />
											<c:set var="startServizio" value="${false}" />
										</c:if>
										<c:if test="${startFornitura}">
										<c:set var="idfornituraInt" value="${fornitura.id}" />
										<fmt:formatNumber value='${idfornituraInt}' pattern='${patternInt}' var="idfornitura" />
										<c:set var="offerta" value="${offerte[idfornitura]}" />
											<td class="textcenter" rowspan="${rowspanFornitura}" id="titoloofferta-${statusServizio.index}-${statusFornitura.index}">${offerta.titoloOffertaAccettata}</td>
											<c:set var="startFornitura" value="${false}" />
										</c:if>
										<c:if test="${startConferma}">
											<c:set var="numeroco" value="${conferma.numero}"/>
											<c:if test="${numeroco == null || empty numeroco}">
												<c:set var="numeroco" value="${conferma.id}"/>
											</c:if>
											<td class="textcenter" rowspan="${rowspanConferma}" id="numeroco-${statusServizio.index}-${statusFornitura.index}-${statusCo.index}">${numeroco}</td>										
											<c:set var="idfornitore" value="${conferma.fornitore}" />
											<td class="textcenter" rowspan="${rowspanConferma}" id="fornitore-${statusServizio.index}-${statusFornitura.index}-${statusCo.index}">${fornitorimap[idfornitore]}</td>
											<c:set var="startConferma" value="${false}" />
										</c:if>
										<fmt:formatDate var="datafattura" pattern='${patternDate}'
											value='${fattura.data}' />
										<td class="textcenter ${coloreRiga}" id="datafattura-${statusServizio.index}-${statusFornitura.index}-${statusCo.index}-${statusFattura.index}">${datafattura}</td>
										<td class="textcenter ${coloreRiga}" id="numerodocesterno-${statusServizio.index}-${statusFornitura.index}-${statusCo.index}-${statusFattura.index}">
											<c:set var="intestazioneAllegato" value="allegatofatturatecnico-${fattura.idFornitura}-${statusCo.index}-${fattura.idCo}-${fattura.id}" />
											<c:choose>
												<c:when
													test="${fattura.allegato != '' &&
														fattura.allegato != null &&
												 		fattura.allegato != intestazioneAllegato
														}">
													<c:url var="urlDownload" value="download.srvl">
														<c:param name="idunit" value="${fattura.idFornitura}" />
														<c:param name="idsubunit" value="${fattura.idCo}" />
														<c:param name="idfinal" value="${fattura.id}" />
														<c:param name="id" value="allegatofatturatecnico" />
														<c:param name="anno" value="${servizio.anno}" />
														<c:param name="numero" value="${servizio.numero}" />
													</c:url>
													<a href="${fn:escapeXml(urlDownload)}"
														id="download-allegatofatturatecnico-${statusServizio.index}-${statusFornitura.index}-${statusFattura.index}"
														title="download" ${disabled}>${fattura.numero}</a>
												</c:when>
												<c:otherwise>
												${fattura.numero}
											</c:otherwise>
											</c:choose>
										</td>
										<c:choose>
											<c:when
												test="${fattura.daRegistrare}">
												<td class="textcenter ${coloreRiga}"
													id="codicemubi-${statusServizio.index}-${statusFornitura.index}-${statusCo.index}-${statusFattura.index}">da registrare</td>
											</c:when>
											<c:otherwise>
												<td class="textcenter ${coloreRiga}"
													id="codicemubi-${statusServizio.index}-${statusFornitura.index}-${statusCo.index}-${statusFattura.index}">${fattura.numeroMubi}</td>
											</c:otherwise>
										</c:choose>
										<td class="textcenter ${coloreRiga}"
											id="descrizionefornitura-${statusServizio.index}-${statusFornitura.index}-${statusCo.index}-${statusFattura.index}">
											<c:url var="urlEdit" value="editfattura.srvl">
												<c:param name="offerta" value="${fattura.idFornitura}" />
												<c:param name="fattura" value="${fattura.id}" />
												<c:param name="idCo" value="${fattura.idCo}" />
												<c:param name="anno" value="${servizio.anno}" />
												<c:param name="numero" value="${servizio.numero}" />
											</c:url> <a href="${fn:escapeXml(urlEdit)}"
											id="editfatturatecnico-${fattura.id}-${fattura.idCo}-${fattura.idFornitura}"
											title="modifica fattura" ${disabled}>${fattura.descrizione}</a>
										</td>
										<td class="textcenter ${coloreRiga}" id="imponibile-${statusServizio.index}-${statusFornitura.index}-${statusCo.index}-${statusFattura.index}"><fmt:formatNumber
											pattern="${pattern}" value="${fattura.imponibileTotale}" /></td>
										<td class="textcenter ${coloreRiga}" id="lordo-${statusServizio.index}-${statusFornitura.index}-${statusCo.index}-${statusFattura.index}"><fmt:formatNumber
											pattern="${pattern}" value="${fattura.lordoTotale}" /></td>
										<fmt:formatDate value="${fattura.previsioneDocumento}" var="periodo" pattern="${patternMeseAnno}"/>
										<td class="textcenter ${coloreRiga}" id="periodo-${statusServizio.index}-${statusFornitura.index}-${statusCo.index}-${statusFattura.index}">${periodo}</td>
										<fmt:formatDate var="datapagamento" pattern='${patternDate}'
											value='${fattura.pagata}' />
										<c:if test="${datapagamento == null}">
											<c:set var="datapagamento" value="NO" />
										</c:if>
										<c:set var="intestazioneRicevuta"
											value="ricevutapagamento-${fornitura.id}-${conferma.id}-${fatturatecnico.id}" />									
										<td class="textcenter ${coloreRiga}"
											id="pagata-${statusServizio.index}-${statusFornitura.index}-${statusCo.index}-${statusFattura.index}">
											<c:choose>
												<c:when
													test="${fattura.ricevutaPagamento != '' && 
														fattura.ricevutaPagamento != null &&
														fattura.ricevutaPagamento != intestazioneRicevuta &&
														fattura.pagata != 'NO'}">
													<c:url var="urlDownload" value="download.srvl">
														<c:param name="idunit" value="${fattura.idFornitura}" />
														<c:param name="idsubunit" value="${fattura.idCo}" />
														<c:param name="idfinal" value="${fattura.id}" />
														<c:param name="id" value="ricevutapagamento" />
														<c:param name="anno" value="${servizio.anno}" />
														<c:param name="numero" value="${servizio.numero}" />
													</c:url>
													<div>
														<a href="${fn:escapeXml(urlDownload)}"
															id="download-ricevutapagamento-${statusServizio.index}-${statusFornitura.index}-${statusFattura.index}"
															title="download" ${disabled}>${datapagamento}</a>
													</div>
												</c:when>
												<c:otherwise>
												${datapagamento}
											</c:otherwise>
											</c:choose>
										</td>										
										<td class="textcenter ${coloreRiga}" id="tempistica-${statusServizio.index}-${statusFornitura.index}-${statusCo.index}-${statusFattura.index}">${fattura.tempistica}</td>
										<td class="textcenter ${coloreRiga}" id="statoordine-${statusServizio.index}-${statusFornitura.index}-${statusCo.index}-${statusFattura.index}">${ordineData}</td>
										<c:choose>
											<c:when test="${fattura.consegnata}">
												<c:set var="consegnata" value="SI" />
											</c:when>
											<c:otherwise>
												<c:set var="consegnata" value="NO" />
											</c:otherwise>
										</c:choose>
										<td class="textcenter ${coloreRiga}" id="consegna-${statusServizio.index}-${statusFornitura.index}-${statusCo.index}-${statusFattura.index}">${consegnata}</td>
										<td class="textcenter ${coloreRiga}" id="note-${statusServizio.index}-${statusFornitura.index}-${statusCo.index}-${statusFattura.index}">${fattura.note}</td>
									</tr>
								</c:forEach>
							</c:forEach>
						</c:forEach>
					</c:forEach>
				</tbody>
			</table>
			</c:if>
		</div>
	</div>
	<%@ include file="../footer.jspf"%>
</body>
</html>