<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<?xml version="1.0" encoding="UTF-8" ?>

<!DOCTYPE html>

<html lang="it" xmlns="http://www.w3.org/1999/xhtml">

<head>
<TITLE>Report servizi</TITLE>
<%@ include file="../head.jspf"%>
</head>

<body>
	<%@ include file="../header.jspf"%>
	<%@ include file="../navigationbar.jspf"%>
	<c:set var="patternDate" value="dd/MM/yyyy" />
	 <c:set var="patternMeseAnno" value="MM/yyyy" /> 
	<div>

		<h1 id="title" class="mainColor textcenter">Report forniture</h1>

		<div id="messages">
			<%@ include file="../talk.jspf"%>
		</div>

		<div class="container" style="overflow-x: auto;">
			<c:set var="urlFiltriForniture" value="reportFiltriForniture.srvl" />
			<%@ include file="../filtriforniture.jspf"%>
			<c:set var="pattern" value="#,##0.00" />
			<c:set var="presenzafatture" value="false" />
			<c:set var="fatturetecnici" value="" />
			<c:set var="rowspan" value="0" />
			<c:forEach var="servizio" items="${servizi}" varStatus="statusRiga">
				<c:set var="offerte" value="${servizio.offerte}" />
				<c:forEach var="fornituramap" items="${servizio.fornitureAccettate}"
					varStatus="statusFornitura">
					<c:set var="idfornitura" value="${fornituramap.key}" />
					<c:set var="fornitura" value="${fornituramap.value}" />
					<c:forEach var="fatturetecnicimap" items="${fornitura.fattureTecniciCo}" varStatus="statusFatturaTecnici">
						<c:set var="fatturetecnici" value="${fatturetecnicimap.value}" />
						<c:if test="${not empty fatturetecnici}">
							<c:set var="presenzafatture" value="true" />
							<c:set var="rowspan" value="${rowspan + fn:length(fatturetecnici)}" />
						</c:if>
					</c:forEach>
				</c:forEach>
			</c:forEach>
			
			
			
			
			
			
			
			
			
			
			<c:if test="${table}">
			<c:choose>
				<c:when test="${presenzafatture}">
					<table id="tabellareportforniture" aria-label="tabella report forniture"
						class="table-hover table-condensed table-bordered"
						style="width: 100%;">
						<thead>
							<tr>
								<th class="textcenter">anno servizio</th>
								<th class="textcenter">numero servizio</th>
								<th class="textcenter">socio richiedente</th>
								<th class="textcenter">tecnico incaricato</th>
								<th class="textcenter">titolo offerta accettata</th>
								<th class="textcenter">numero CO</th>
								<th class="textcenter">data fattura</th>
								<th class="textcenter">numero doc. esterno</th>
								<th class="textcenter">codice MUBI</th>
								<th class="textcenter">fornitore</th>
								<th class="textcenter">descrizione fornitura</th>
								<th class="textcenter">imponibile</th>
								<th class="textcenter">lordo</th>
								<th class="textcenter">periodo</th>
								<th class="textcenter">pagata</th>
								<th class="textcenter">tempistica</th>
								<th class="textcenter">stato ordine</th>
								<th class="textcenter">consegnata</th>
								<th class="textcenter">note</th>
							</tr>
						</thead>
						<tbody>
						
							
							<c:forEach var="servizio" items="${servizi}" varStatus="statusRiga">
								<c:set var="rowspanServizio" value="${servizio.numeroFatturePassive}" />
								<c:set var="offerte" value="${servizio.offerte}" />
								<c:forEach var="fornituramap" items="${servizio.fornitureAccettate}" varStatus="statusFornitura">
									<c:set var="idfornitura" value="${fornituramap.key}" />
									<c:set var="fornitura" value="${fornituramap.value}" />
									<c:set var="rowspanOfferta" value="${servizio.getRowSpanOfferta(idfornitura)}" />
									<c:forEach var="comap" items="${servizio.getCoFiltrate(idfornitura)}" varStatus="statusCo">
										<c:set var="idco" value="${comap.key}" />
										<c:set var="co" value="${comap.value}" />
										<c:set var="rowspanCo" value="${servizio.getRowSpanCo(idfornitura, idco)}" />
										<c:choose>
											<c:when test="${filtrofatture}">
												<c:set var="fatturemap" value="${servizio.getFattureFiltrate(idfornitura, idco)}" />
											</c:when>
											<c:otherwise>
												<c:set var="fatturemap" value="${co.fatture}" />
											</c:otherwise>
										</c:choose>
										<c:choose>
											<c:when test="${empty fatturemap}">
												<tr>
													<c:if test="${statusFornitura.index == 0 && statusCo.index == 0}">
														<td class="textcenter" id="annoservizio-${statusRiga.index}"
															rowspan="${rowspanServizio}">${servizio.anno}</td>
														<td class="textcenter"
															id="numeroservizio-${statusRiga.index}"
															rowspan="${rowspanServizio}">${servizio.numero}</td>
														<td class="textcenter"
															id="sociorichiedente-${statusRiga.index}"
															rowspan="${rowspanServizio}">${servizio.richiedente}</td>															
														<td class="textcenter"
															id="tecnicoincaricato-${statusRiga.index}"
															rowspan="${rowspanServizio}">${servizio.tecnicoPrincipale}</td>
													</c:if>
													<c:if test="${statusCo.index == 0}">
														<td rowspan="${rowspanOfferta}" class="textcenter" id="titoloofferta-${statusRiga.index}-${statusFornitura.index}">
															<c:url var="urlRedirect"
																value="redirect.srvl">
																<c:param name="active_tab" value="forniture" />
																<c:param name="active_subtab" value="${idfornitura}" />
																<c:param name="anno" value="${servizio.anno}" />
																<c:param name="numero" value="${servizio.numero}" />
															</c:url> <a href="${fn:escapeXml(urlRedirect)}"
															id="redirect-${statusRiga.index}-${statusFornitura.index}-${statusFattura.index}"
															title="redirect" ${disabled}>${offerte[idfornitura].titoloOffertaAccettata}</a>
														</td>
													</c:if>												
													<td class="textcenter">${co.numero}</td>
													<td></td>
													<td></td>
													<td></td>
													<td></td>
													<td></td>
													<td></td>
													<td></td>
													<td></td>
													<td></td>
													<td></td>
													<td></td>
													<td></td>
												</tr>
											</c:when>
											<c:otherwise>
												<c:forEach var="fatturamap" items="${fatturemap}" varStatus="statusFattura">
													<tr>
														<c:if test="${statusFornitura.index == 0 && statusCo.index == 0 && statusFattura.index == 0}">
															<td class="textcenter" id="annoservizio-${statusRiga.index}"
																rowspan="${rowspanServizio}">${servizio.anno}</td>
															<td class="textcenter"
																id="numeroservizio-${statusRiga.index}"
																rowspan="${rowspanServizio}">${servizio.numero}</td>
															<td class="textcenter"
																id="sociorichiedente-${statusRiga.index}"
																rowspan="${rowspanServizio}">${servizio.richiedente}</td>
															<td class="textcenter"
																id="tecnicoincaricato-${statusRiga.index}"
																rowspan="${rowspanServizio}">${servizio.tecnicoPrincipale}</td>
														</c:if>
														<c:if test="${statusCo.index == 0 && statusFattura.index == 0}">
															<td rowspan="${rowspanOfferta}" class="textcenter" id="titoloofferta-${statusRiga.index}-${statusFornitura.index}">
																<c:url var="urlRedirect"
																	value="redirect.srvl">
																	<c:param name="active_tab" value="forniture" />
																	<c:param name="active_subtab" value="${idfornitura}" />
																	<c:param name="anno" value="${servizio.anno}" />
																	<c:param name="numero" value="${servizio.numero}" />
																</c:url> <a href="${fn:escapeXml(urlRedirect)}"
																id="redirect-${statusRiga.index}-${statusFornitura.index}-${statusFattura.index}"
																title="redirect" ${disabled}>${offerte[idfornitura].titoloOffertaAccettata}</a>
															</td>
														</c:if>
														<c:set var="fatturatecnico" value="${fatturamap.value}" />
														<%@ include file="rigatabellaforniture.jspf"%>
													</tr>
												</c:forEach>
											</c:otherwise>
										</c:choose>
									</c:forEach>
								</c:forEach>
							</c:forEach>
						</tbody>
					</table>
				</c:when>
				<c:otherwise>
					<p id="nofatture" class="raggruppamento textcenter">Non ci sono fatture da
						mostrare
					<p />
				</c:otherwise>
			</c:choose>
			</c:if>
		</div>
	</div>
	<%@ include file="../footer.jspf"%>
</body>
</html>