<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<?xml version="1.0" encoding="UTF-8" ?>

<!DOCTYPE html>

<html lang="it" xmlns="http://www.w3.org/1999/xhtml">

<head>
<TITLE>Report servizi</TITLE>
<%@ include file="../head.jspf"%>
</head>

<body>
	<%@ include file="../header.jspf"%>
	<%@ include file="../navigationbar.jspf"%>
	<div>

		<h1 id="title" class="mainColor textcenter">Report servizi standard</h1>

		<div id="messages">
			<%@ include file="../talk.jspf"%>
		</div>
		
		<div class="container">
			<c:set var="urlFiltri" value="reportFiltri.srvl" />
			<%@ include file="../filtri.jspf"%>
			
			<c:set var="visualizzaColonneFatturePassive" value="${filtri.visualizzaColonneFatturePassive}"/>
			<c:set var="visualizzaColonneFattureAttive" value="${filtri.visualizzaColonneFattureAttive}"/>
			<c:if test="${table}">
				<c:set var="pattern" value="#,##0.00" />
				<table id="tabellareport" aria-label="tabella report"
					class="nohorizontalscroll table-condensed table-bordered">
					<thead>
						<tr>
							<th class="textcenter th-fix bordered" colspan="8" scope="col"></th>
							<th id="offertareport" class="textcenter th-fix bordered" colspan="5">OFFERTA</th>
							<c:set var="colspanforniture" value ="12"/>
							<c:if test="${(not visualizzaColonneFatturePassive) && (not visualizzaFattureAttive)}">
								<c:set var="colspanforniture" value ="1"/>
							</c:if>
							<c:if test="${(not visualizzaColonneFatturePassive) && visualizzaFattureAttive}">
								<c:set var="colspanforniture" value ="2"/>
							</c:if>
							
							<th id="forniturereport" class="textcenter th-fix bordered" colspan="${colspanforniture}">FORNITURE</th>
							<c:set var="colspanfatturazioneattiva" value ="8"/>
							<c:if test="${not visualizzaColonneFattureAttive}">
								<c:set var="colspanfatturazioneattiva" value ="2"/>
							</c:if>
							<th id="fatturazioneattivareport" class="textcenter th-fix bordered" colspan="${colspanfatturazioneattiva}">FATTURAZIONE ATTIVA</th>
							<th class="textcenter th-fix bordered" colspan="11" scope="col"></th>
							<th class="textcenter th-fix bordered" scope="col"></th>
						</tr>
						<tr>
							<th id="annoreport" class="textcenter th-fix-report-standard">anno</th>
							<th id="numeroreport" class= "textcenter th-fix-report-standard">numero</th>
							<th id="titoloreport"class= "textcenter th-fix-report-standard">titolo</th>
							<th id="richiedentereport" class= "textcenter th-fix-report-standard">socio richiedente</th>
							<th id="tecniciincaricatireport" class= "textcenter th-fix-report-standard">tecnici incaricati</th>
							<th id="regionereport" class= "textcenter th-fix-report-standard">regione</th>
							<th id="provinciareport" class= "textcenter th-fix-report-standard">provincia</th>
							<th id="comunereport" class= "textcenter th-fix-report-standard">comune</th>
							<th id="titolooffertareport" class= "textcenter th-fix-report-standard">titolo</th>
							<th id="costoattesooffertareport" class= "textcenter th-fix-report-standard">costo atteso</th>
							<th id="probabilitasuccessooffertareport" class= "textcenter th-fix-report-standard">probabilit successo</th>
							<th id="totaleimponibileoffertareport" class= "textcenter th-fix-report-standard">totale imponibile offerta</th>
							<th id="totalelordooffertareport" class= "textcenter th-fix-report-standard">totale lordo offerta</th>
							<c:if test="${(not visualizzaColonneFatturePassive) && visualizzaColonneFattureAttive}">
								<th id="periodoreport" class= "textcenter th-fix-report-standard">periodo</th>
							</c:if>
							<c:if test="${visualizzaColonneFatturePassive}">
								<th id="periodoreport" class= "textcenter th-fix-report-standard">periodo</th>
								<th id="numerocoreport" class= "textcenter th-fix-report-standard">numero CO</th>
								<th id="datacoreport" class= "textcenter th-fix-report-standard">data CO</th>
								<th id="numerofatturareport" class= "textcenter th-fix-report-standard">n fattura</th>
								<th id="numeromubireport" class= "textcenter th-fix-report-standard">n mubi</th>
								<th id="datareport" class= "textcenter th-fix-report-standard">data</th>
								<th id="fornitorereport" class= "textcenter th-fix-report-standard">fornitore</th>
								<th id="imponibilericevutoreport" class= "textcenter th-fix-report-standard">imponibile ricevuto</th>
								<th id="lordoricevutoreport" class= "textcenter th-fix-report-standard">lordo ricevuto</th>
								<th id="pagatapassivareport" class= "textcenter th-fix-report-standard">pagata</th>
								<th id="imponibiledaregistrarereport" class= "textcenter th-fix-report-standard">imponibile da registrare</th>
							</c:if>	
							<th id="residuoattesoreport" class= "textcenter th-fix-report-standard">residuo atteso</th>
							<c:if test="${visualizzaColonneFattureAttive}">						
								<th id="numerofatturareport" class= "textcenter th-fix-report-standard">n fattura</th>
								<th id="datareport" class= "textcenter th-fix-report-standard">data</th>
								<th id="imponibileemessoreport" class= "textcenter th-fix-report-standard">imponibile emesso</th>
								<th id="lordoemessoreport" class= "textcenter th-fix-report-standard">lordo emesso</th>
								<th id="pagataattivareport" class= "textcenter th-fix-report-standard">pagata</th>
								<th id="imponibiledaemetterereport" class= "textcenter th-fix-report-standard">imponibile da emettere</th>
							</c:if>
							<th id="residuoattivoreport" class= "textcenter th-fix-report-standard">residuo attivo</th>
							<th id="marginereport" class= "textcenter th-fix-report-standard">margine</th>
							<th id="statoreport" class= "textcenter th-fix-report-standard">stato</th>
							<th id="pendentereport" class= "textcenter th-fix-report-standard">pendente</th>
							<th id="assegnatoreport" class= "textcenter th-fix-report-standard">assegnato</th>
							<th id="presoincaricoreport" class= "textcenter th-fix-report-standard">preso in carico</th>
							<th id="offertainviatareport" class= "textcenter th-fix-report-standard">offerta inviata</th>
							<th id="offertadimassimaaccettatareport" class= "textcenter th-fix-report-standard">offerta di massima accettata</th>
							<th id="offertaaccettatareport" class= "textcenter th-fix-report-standard">offerta accettata</th>
							<th id="lavoriincorsoreport" class= "textcenter th-fix-report-standard">lavori in corso</th>
							<th id="conclusoreport" class= "textcenter th-fix-report-standard">concluso</th>
							<th id="inattesareport" class= "textcenter th-fix-report-standard">in attesa</th>
							<th id="interrottoreport"class= "textcenter th-fix-report-standard">interrotto</th>
						</tr>
					</thead>
					<tbody>
						<c:set var="tottotalecostoattesoofferta" value="0"/>
						<c:set var="tottotaleimponibileofferta" value="0"/>
						<c:set var="tottotalelordoofferta" value="0"/>
						<c:set var="totimponibilepassive" value="0"/>
						<c:set var="totlordopassive" value="0"/>
						<c:set var="residuoatteso" value="0"/>
						<c:set var="imponibiledaricevere" value="0"/>
						<c:set var="totimponibileemessoattive" value="0"/>
						<c:set var="totlordoattive" value="0"/>
						<c:set var="tottotaledafatturare" value="0"/>
						<c:set var="totimponibiledaemettere" value="0"/>
						<c:set var="totmargine" value="0"/>
						<c:forEach var="reportStandardServizio" items="${reportsStandardServizio}" varStatus="statusServizio">
							<c:set var="residuoatteso" value="${residuoatteso + reportStandardServizio.residuoAttesoAssolutoDouble}"/>
							<c:set var="tottotaledafatturare" value="${tottotaledafatturare + reportStandardServizio.residuoAttivoAssolutoDouble}"/>
							<c:set var="totmargine" value="${totmargine + reportStandardServizio.margineAssolutoDouble}"/>
							<c:set var="startServizio" value="${true}" />
							<c:set var="rowspanServizio" value="${reportStandardServizio.periodi}" />
							<c:set var="reportOfferte" value="${reportStandardServizio.reportStandardOfferte}" />
							<c:forEach var="reportOfferta" items="${reportOfferte.report}" varStatus="statusOfferta">
								<c:set var="tottotaleimponibileofferta" value="${tottotaleimponibileofferta + reportOfferta.imponibileComplessivoOffertaDouble}"/>
								<c:set var="tottotalelordoofferta" value="${tottotalelordoofferta + reportOfferta.lordoComplessivoOffertaDouble}"/>
								<c:set var="tottotalecostoattesoofferta" value="${tottotalecostoattesoofferta + reportOfferta.costoAttesoDouble}"/>
								<c:set var="startOfferta" value="${true}" />
								<c:set var="rowspanOfferta" value="${reportOfferta.periodi}" />
								<c:set var="reportsPeriodo" value="${reportOfferta.reportsStandardPeriodo}"/>
								<c:forEach var="reportPeriodo" items="${reportsPeriodo}"  varStatus="statusPeriodo">
									<c:set var="totimponibilepassive" value="${totimponibilepassive + reportPeriodo.imponibileRicevutoPassivaDouble}"/>
									<c:set var="totlordopassive" value="${totlordopassive + reportPeriodo.lordoRicevutoPassivaDouble}"/>
									<c:set var="imponibiledaricevere" value="${imponibiledaricevere + reportPeriodo.imponibileDaRegistrarePassivaDouble}"/>
									<c:set var="totimponibileemessoattive" value="${totimponibileemessoattive + reportPeriodo.imponibileEmessoAttivaDouble}"/>
									<c:set var="totlordoattive" value="${totlordoattive + reportPeriodo.lordoEmessoAttivaDouble}"/>
									<c:set var="totimponibiledaemettere" value="${totimponibiledaemettere + reportPeriodo.imponibileDaEmettereAttivaDouble}"/>
									<tr class="${reportStandardServizio.coloreRiga}">
										<c:if test="${startServizio}">
											<td headers="annoreport" class="textcenter" rowspan="${rowspanServizio}">${reportStandardServizio.anno}</td>
											<td headers="numeroreport" class="textcenter" rowspan="${rowspanServizio}">${reportStandardServizio.numero}</td>
											<c:url var="servizioUrl" value="editservizio.srvl">
												<c:param name="anno" value="${reportStandardServizio.anno}"></c:param>
												<c:param name="numero" value="${reportStandardServizio.numero}"></c:param>
											</c:url>
											<td headers="titoloreport" class="textcenter" rowspan="${rowspanServizio}"><a id="titolo-${statusServizio.index}" href="${fn:escapeXml(servizioUrl)}" target="_empty">${reportStandardServizio.titolo}</a></td>
											<td headers="richiedentereport" class="textcenter" rowspan="${rowspanServizio}" id="richiedente-${statusServizio.index}-${statusOfferta.index}">
												${reportStandardServizio.richiedente}
											</td>															
											<td headers="tecniciincaricatireport" class="textcenter" rowspan="${rowspanServizio}">${reportStandardServizio.tecniciIncaricati}</td>										
											<td headers="regionereport" class="textcenter" rowspan="${rowspanServizio}">${reportStandardServizio.regione}</td>									
											<td headers="provinciareport" class="textcenter" rowspan="${rowspanServizio}">${reportStandardServizio.provincia}</td>								
											<td headers="comunereport" class="textcenter" rowspan="${rowspanServizio}">${reportStandardServizio.comune}</td>
										</c:if>
										<c:if test="${startOfferta}">										
											<td headers="titolooffertareport" class="textcenter" rowspan="${rowspanOfferta}">${reportOfferta.titolo}</td>
											<td headers="costoattesooffertareport" class="textright" rowspan="${rowspanOfferta}">${reportOfferta.costoAtteso}</td>
											<td headers="probabilitasuccessooffertareport" class="textcenter" rowspan="${rowspanOfferta}">${reportOfferta.probabilitaSuccessoOfferta}</td>
											<td headers="totaleimponibileoffertareport" class="textright" rowspan="${rowspanOfferta}" id="totaleimponibileofferta-${statusServizio.index}-${statusOfferta.index}">${reportOfferta.imponibileComplessivoOfferta}</td>
											<td headers="totalelordooffertareport" class="textright" rowspan="${rowspanOfferta}">${reportOfferta.lordoComplessivoOfferta}</td>
											<c:set var="startOfferta" value="${false}" />
										</c:if>
										<c:if test="${(not visualizzaColonneFatturePassive) && visualizzaColonneFattureAttive}">
											<td headers="periodoreport" class="textcenter">${reportPeriodo.periodo}</td>
										</c:if>	
										<c:if test="${visualizzaColonneFatturePassive}">									
											<td headers="periodoreport" class="textcenter">${reportPeriodo.periodo}</td>
											<td headers="numerocoreport" class="textcenter">${reportPeriodo.numeroCo}</td>
											<td headers="datacoreport" class="textcenter" id="dataco-${statusRiga.index}-${statusOfferta.index}">${reportPeriodo.dataCo}</td>
											<td headers="numerofatturareport" class="textcenter" id="nfatturapassiva-${statusServizio.index}-${statusOfferta.index}">${reportPeriodo.numeroPassiva}</td>
											<td headers="numeromubireport" class="textcenter" id="nmubi-${statusServizio.index}-${statusOfferta.index}">${reportPeriodo.mubiPassiva}</td>
											<td headers="datareport" class="textcenter"id="datapassiva-${statusServizio.index}-${statusOfferta.index}">${reportPeriodo.dataPassiva}</td>
											<td headers="fornitorereport" class="textcenter" id="fornitore-${statusServizio.index}-${statusOfferta.index}">${reportPeriodo.fornitore}</td>
											<td headers="imponibilericevutoreport" class="textright" id="imponibilefatturapassiva-${statusServizio.index}-${statusOfferta.index}">${reportPeriodo.imponibileRicevutoPassiva}</td>
											<td headers="lordoricevutoreport" class="textright" id="lordofatturapassiva-${statusServizio.index}-${statusOfferta.index}">${reportPeriodo.lordoRicevutoPassiva}</td>
											<td headers="pagatapassivareport" class="textcenter" id="pagatapassiva-${statusServizio.index}-${statusOfferta.index}">${reportPeriodo.pagataPassiva}</td>
											<td headers="imponibiledaregistrarereport" class="textright" id="imponibiledaregistrarepassiva-${statusServizio.index}-${statusOfferta.index}">${reportPeriodo.imponibileDaRegistrarePassiva}</td>
										</c:if>
										<c:if test="${startServizio}">
											<td headers="residuoattesoreport" class="textright" rowspan="${rowspanServizio}">${reportStandardServizio.residuoAttesoAssoluto}</td>
											
										</c:if>
										<c:if test="${visualizzaColonneFattureAttive}">
											<td headers="numerofatturareport" class="textcenter" id="nfatturaattiva-${statusServizio.index}-${statusOfferta.index}">${reportPeriodo.numeroAttiva}</td>
											<td headers="datareport" class="textcenter" id="dataattiva-${statusServizio.index}-${statusOfferta.index}">${reportPeriodo.dataAttiva}</td>
											<td headers="imponibileemessoreport" class="textright" id="imponibileemessoattiva-${statusServizio.index}-${statusOfferta.index}">${reportPeriodo.imponibileEmessoAttiva}</td>
											<td headers="lordoemessoreport" class="textright" id="lordoemessoattiva-${statusServizio.index}-${statusOfferta.index}">${reportPeriodo.lordoEmessoAttiva}</td>
											<td headers="pagataattivareport" class="textcenter" id="pagataattiva-${statusServizio.index}-${statusOfferta.index}">${reportPeriodo.pagataAttiva}</td>
											<td headers="imponibiledaemetterereport" class="textright" id="imponibiledaemettereattiva-${statusServizio.index}-${statusOfferta.index}">${reportPeriodo.imponibileDaEmettereAttiva}</td>
										</c:if>
										<c:if test="${startServizio}">
											<c:set var="startServizio" value="${false}" />
											<td headers="residuoattivoreport" class="textright" rowspan="${rowspanServizio}">${reportStandardServizio.residuoAttivoAssoluto}</td>
											<td headers="marginereport" class="textright" rowspan="${rowspanServizio}">${reportStandardServizio.margineAssoluto}</td>
											<td headers="statoreport" class="textcenter" rowspan="${rowspanServizio}">${reportStandardServizio.stato}</td>
											<c:forEach var="current" items="${reportStandardServizio.storia}" varStatus="status">
												<c:set var="patternDate" value="dd/MM/yyyy" />
												<fmt:formatDate var="data" pattern='${patternDate}' value='${current.value}' />
												<c:if test="${current.key != 'NUOVO'}">
													<c:set var = "statoOriginale" value = "${current.key}"/>
					     							<c:set var = "statoModificato" value = "${fn:toLowerCase(statoOriginale)}" />
													<td class="textcenter" rowspan="${rowspanServizio}" id="${statoModificato}-${statusServizio.index}">${data}</td>
												</c:if>
											</c:forEach>
										</c:if>
									</tr>
									
								</c:forEach>
							</c:forEach>
						</c:forEach>
						<tr>
							<th colspan="9" class="textright" scope="row">TOTALI</th>
							<th class="textright" scope="col"><fmt:formatNumber pattern="${pattern}" value="${tottotalecostoattesoofferta}" /></th>
							<th colspan="1" scope="col"></th>
							<th class="textright" scope="col"><fmt:formatNumber pattern="${pattern}" value="${tottotaleimponibileofferta}" /></th>
							<th class="textright" scope="col"><fmt:formatNumber pattern="${pattern}" value="${tottotalelordoofferta}" /></th>
							<c:if test="${(not visualizzaColonneFatturePassive) && visualizzaColonneFattureAttive}">
								<th colspan="1" scope="col"></th>
							</c:if>
							<c:if test="${visualizzaColonneFatturePassive}">
								<th colspan="7" scope="col"></th>
								<th class="textright" scope="col"><fmt:formatNumber pattern="${pattern}" value="${totimponibilepassive}" /></th>
								<th class="textright" scope="col"><fmt:formatNumber pattern="${pattern}" value="${totlordopassive}" /></th>
							</c:if>
							<c:if test="${visualizzaColonneFatturePassive}">
								<th colspan="1" scope="col"></th>
								<th class="textright" scope="col"><fmt:formatNumber pattern="${pattern}" value="${imponibiledaricevere}" /></th>
							</c:if>
							<th class="textright" scope="col"><fmt:formatNumber pattern="${pattern}" value="${residuoatteso}" /></th>
							<c:if test="${visualizzaColonneFattureAttive}">
								<th colspan="2" scope="col"></th>							
								<th class="textright" scope="col"><fmt:formatNumber pattern="${pattern}" value="${totimponibileemessoattive}" /></th>
								<th class="textright" scope="col"><fmt:formatNumber pattern="${pattern}" value="${totlordoattive}" /></th>
							</c:if>						
							<c:if test="${visualizzaColonneFattureAttive}">
								<th colspan="1" scope="col"></th>	
								<th class="textright" scope="col"><fmt:formatNumber pattern="${pattern}" value="${totimponibiledaemettere}" /></th>
							</c:if>
							<th class="textright" scope="col"><fmt:formatNumber pattern="${pattern}" value="${tottotaledafatturare}" /></th>
							<th class="textright" scope="col"><fmt:formatNumber pattern="${pattern}" value="${totmargine}" /></th>
							<th colspan="11" scope="col"></th>
						</tr>
					</tbody>
				</table>
				<div class="row isolated">
					<c:set var="totaleservizi" value = "0"/>
					<c:if test="${not empty reportsStandardServizio}">
						<c:set var="totaleservizi" value = "${fn:length(reportsStandardServizio)}"/>
					</c:if>
					<h5 id="totaleservizi">TOTALE SERVIZI: ${totaleservizi}</h5>
				</div>
			</c:if>
		</div>
	</div>
	<%@ include file="../footer.jspf"%>
</body>
</html>