<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<?xml version="1.0" encoding="UTF-8" ?>

<!DOCTYPE html>

<html lang="it" xmlns="http://www.w3.org/1999/xhtml">

<head>
<TITLE>Report servizi</TITLE>
<%@ include file="../head.jspf"%>
</head>

<body>
	<%@ include file="../header.jspf"%>
	<%@ include file="../navigationbar.jspf"%>
	<div>

		<h1 id="title" class="mainColor textcenter">Report servizi di sola progettazione</h1>

		<div id="messages">
			<%@ include file="../talk.jspf"%>
		</div>
		
		<div class="container">
			<c:set var="urlFiltri" value="reportFiltriSolaProgettazione.srvl" />
			<%@ include file="../filtrisolaprogettazione.jspf"%>
			<c:set var="pattern" value="#,##0.00" />
			<table id="tabellareportsolaprogettazione" aria-label="tabella report sola progettazione"
				class="table-striped table-hover table-condensed table-bordered" style="width:100%;">
				<thead>
					<tr>
						<th id="annoreportprogettazione" class="textcenter" rowspan="2">anno</th>
						<th id="numeroreportprogettazione" class="textcenter" rowspan="2">numero</th>
						<th id="titoloreportprogettazione" class="textcenter" rowspan="2">titolo</th>
						<th id="tecniciincaricatireportprogettazione" class="textcenter" rowspan="2">tecnici incaricati</th>
						<th id="imponibileoffertareportprogettazione" class="textcenter" colspan="4">imponibile offerta</th>
						<th id="totimponibileoffertareportprogettazione" class="textcenter" rowspan="2">totale imponibile offerta</th>
						<th id="statoreportprogettazione" class="textcenter" rowspan="2">stato</th>
					</tr>
					<tr>
						<th id="imponibile22offertareportprogettazione" class="textcenter">22%</th>
						<th id="imponibile10offertareportprogettazione" class="textcenter">10%</th>
						<th id="imponibile4offertareportprogettazione" class="textcenter">4%</th>
						<th id="imponibile0offertareportprogettazione" class="textcenter">0%</th>
					</tr>
				</thead>
				<tbody>
					<c:set var="tottotaleimponibileofferta" value="0"/>
					<c:set var="tottotaleimponibileofferta22" value="0"/>
					<c:set var="tottotaleimponibileofferta10" value="0"/>
					<c:set var="tottotaleimponibileofferta4" value="0"/>
					<c:set var="tottotaleimponibileofferta0" value="0"/>
					<c:forEach var="servizio" items="${serviziestesi}" varStatus="statusRiga">
						<tr>
							<td headers="annoreportprogettazione" class="textcenter" id="anno-${statusRiga.index}">${servizio.anno}</td>
							<td headers="numeroreportprogettazione" class="textcenter" id="numero-${statusRiga.index}">${servizio.numero}</td>
							<c:url var="servizioUrl" value="editservizio.srvl">
								<c:param name="anno" value="${servizio.anno}"></c:param>
								<c:param name="numero" value="${servizio.numero}"></c:param>
							</c:url>
							<td headers="titoloreportprogettazione" class="textcenter" ><a id="titolo-${statusRiga.index}" href="${fn:escapeXml(servizioUrl)}" target="_empty">${servizio.titolo}</a></td>
							<td headers="tecniciincaricatireportprogettazione" class="textcenter" id="tecniciincaricati-${statusRiga.index}">${servizio.tecniciIncaricati}</td>
							<td headers="imponibile22offertareportprogettazione" class="textright" id="imponibile22-${statusRiga.index}">${servizio.soloProgImponibileOfferta22}</td>
							<td headers="imponibile10offertareportprogettazione" class="textright" id="imponibile10-${statusRiga.index}">${servizio.soloProgImponibileOfferta10}</td>
							<td headers="imponibile4offertareportprogettazione" class="textright" id="imponibile4-${statusRiga.index}">${servizio.soloProgImponibileOfferta4}</td>
							<td headers="imponibile0offertareportprogettazione" class="textright" id="imponibile0-${statusRiga.index}">${servizio.soloProgImponibileOfferta0}</td>
							<td headers="totimponibileoffertareportprogettazione" class="textright" id="totimponibileofferta-${statusRiga.index}">${servizio.soloProgTotaleOffertaStr}</td>
							<td headers="statoreportprogettazione" class="textcenter" id="stato-${statusRiga.index}">${servizio.stato.descrizione}</td>
							<c:set var="tottotaleimponibileofferta" value="${tottotaleimponibileofferta + servizio.soloProgTotaleOfferta}"/>
							<c:set var="tottotaleimponibileofferta22" value="${tottotaleimponibileofferta22 + servizio.soloProgImponibileOfferta22Value}"/>
							<c:set var="tottotaleimponibileofferta10" value="${tottotaleimponibileofferta10 + servizio.soloProgImponibileOfferta10Value}"/>
							<c:set var="tottotaleimponibileofferta4" value="${tottotaleimponibileofferta4 + servizio.soloProgImponibileOfferta4Value}"/>
							<c:set var="tottotaleimponibileofferta0" value="${tottotaleimponibileofferta0 + servizio.soloProgImponibileOfferta0Value}"/>
						</tr>
					</c:forEach>
					<tr>
						<th colspan="4" class="textright" scope="row">TOTALI</th>
						<th class="textright" scope="col"><fmt:formatNumber pattern="${pattern}" value="${tottotaleimponibileofferta22}" /></th>
						<th class="textright" scope="col"><fmt:formatNumber pattern="${pattern}" value="${tottotaleimponibileofferta10}" /></th>
						<th class="textright" scope="col"><fmt:formatNumber pattern="${pattern}" value="${tottotaleimponibileofferta4}" /></th>
						<th class="textright" scope="col"><fmt:formatNumber pattern="${pattern}" value="${tottotaleimponibileofferta0}" /></th>
						<th class="textright" scope="col"><fmt:formatNumber pattern="${pattern}" value="${tottotaleimponibileofferta}" /></th>
						<th scope="col"></th>
					</tr>
				</tbody>
			</table>
			<div class="row isolated">
				<c:set var="totaleservizi" value = "0"/>
				<c:if test="${not empty serviziestesi}">
					<c:set var="totaleservizi" value = "${fn:length(serviziestesi)}"/>
				</c:if>
				<h5 id="totaleservizi">TOTALE SERVIZI: ${totaleservizi}</h5>
			</div>
		</div>
	</div>
	<%@ include file="../footer.jspf"%>
</body>
</html>