<?xml version="1.0" encoding="UTF-8" ?>

<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>

<!DOCTYPE html>

<html lang="it" xmlns="http://www.w3.org/1999/xhtml">

<head>
<%@ include file="../head.jspf"%>
<title>Elenco servizi</title>
</head>

<body>
	<%@ include file="../header.jspf"%>
	<%@ include file="../navigationbar.jspf"%>
	<div class="container">
		<h1 id="title" class="mainColor textcenter">Elenco servizi</h1>
		<div id="messages">
			<%@ include file="../talk.jspf"%>
		</div>
		<c:set var="urlFiltri" value="filtri.srvl" />
		<%@ include file="../filtri-index.jspf"%>
		<div class="isolated">
			<a class="btn btn-default fa fa-plus" href="addservizio.srvl"
				id="addservizio" title="nuova richiesta di servizio"></a>
		</div>
		<table id="tabellaservizi"
			class="table table-hover table-condensed table-bordered"  aria-label="servizi">
			<tr>
				<th>anno</th>
				<th>numero</th>
				<th>descrizione</th>
				<th>richiedente</th>
				<th>comune</th>
				<th>provincia</th>
				<th>operatore di riferimento</th>
				<th>stato</th>
				<th>ultimo passaggio di stato</th>
				
			</tr>
			<c:forEach var="servizio" items="${servizi}" varStatus="status">
			<c:set var='stato' value="${servizio.stato}"/>
				<tr class="${stato}">
					<td id="anno-${status.index}">${servizio.anno}</td>
					<td id="numero-${status.index}">${servizio.numero}</td>
					<c:url var="servizioUrl" value="editservizio.srvl">
						<c:param name="anno" value="${servizio.anno}"></c:param>
						<c:param name="numero" value="${servizio.numero}"></c:param>
					</c:url>
					<td><a id="descrizione-${status.index}"
						href="${fn:escapeXml(servizioUrl)}">${servizio.richiesta.datiGenerali.descrizione}</a></td>
					<td id="richiedente-${status.index}">
						<c:choose>
							<c:when test="${not empty servizio.richiesta.richiedente.username}">
								<a href="${fn:escapeXml(userUrl)}">${servizio.richiesta.richiedente.nomeCognomeRichiedente}</a>
							</c:when>
							<c:otherwise>
								${servizio.richiesta.richiedente.nomeCognomeRichiedente}
							</c:otherwise>
						</c:choose>
					</td>
					<td>${servizio.richiesta.datiGenerali.comune}</td>
					<td>${servizio.richiesta.datiGenerali.provincia}</td>
					<td>${servizio.richiesta.inseritore}</td>
					<td id="stato-${status.index}">${servizio.stato.descrizione}</td>
					<c:url var="userUrl" value="user.srvl" >
						<c:param name="username" value="${servizio.richiesta.richiedente.username}"></c:param>
					</c:url>
					<td id="data-${status.index}">
						<c:choose>
							<c:when test="${servizio.dataUltimoPassaggio != null}">
								<c:set var="patternDate" value="dd/MM/yyyy" />
								<fmt:formatDate var="data" pattern='${patternDate}' value='${servizio.dataUltimoPassaggio}' />
								${data}
							</c:when>
							<c:otherwise>
								<c:set var="data" value="" />
								${data}
							</c:otherwise>
						</c:choose>
					</td>

				</tr>
			</c:forEach>
		</table>
		<div class="isolated">
			<a class="btn btn-default fa fa-plus" href="addservizio.srvl"
				id="addservizio" title="nuova richiesta di servizio"></a>
		</div>
	</div>
	<%@ include file="../footer.jspf"%>
</body>
</html>
