<?xml version="1.0" encoding="UTF-8" ?>

<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib prefix="elabor" uri="http://elabor.biz/tld/tools"%>

<!DOCTYPE html>

<html lang="it" xmlns="http://www.w3.org/1999/xhtml">

<head>
<TITLE>Scelta offerta</TITLE>
<%@ include file="../head.jspf"%>
<STYLE type="text/css">

/* .radioButton {
	accent-color:green;
	width:18px;
	height:18px;
	outline: none;
    border: 3px solid red;
} */

.checkBoxs {
	accent-color: #3a9e9e;
	width:18px;
	height:18px;
	outline: 2px solid #3a9e9e;  
	outline-offset: -2px;
	transform: translate(0px,3px);
}


input[type="radio"] {
  /* remove standard background appearance */
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  /* create custom radiobutton appearance */
  display: inline-block;
  width: 20px;
  height: 20px;
  padding: 3px;
  /* background-color only for content */
  background-clip: content-box;
  border: 2px solid #3a9e9e;
  border-radius: 50%;
  transform: translate(0px,5px);
}

input[type="radio"]:checked {
  background-color: #3a9e9e;
}

.labelOfferta {
	margin-left: 13px; 
	transform: translate(0px,-15px);
}

.labelCheckOfferta {
	transform: translate(0px,-3px);
	margin-left: 13px; 
}

</STYLE>
</head>

<script>
function validateMyForm() {
	var listaAlternative = document.getElementsByName('alternativa');
	var checkConsenso = document.getElementById('condizioni');
	var consenso = false;
	if (checkConsenso.checked) {
		consenso = true;
	}
	var checked = true;
	if (listaAlternative.length !== 0) {
		checked = false
		for(let item of listaAlternative){
			checked = item.checked;
			if (checked){
				break
			}
		}
	}
	if (checked === false) {
		window.alert("Nessuna alternativa selezionata");
	} else if (consenso === false) {
		window.alert("Devono essere accettate le condizioni generali del contratto");
	} else {
		var user_choice = window.confirm('Sei sicuro di voler accettare questa offerta?');
		if(user_choice === true) {
			document.getElementById("serviceform").submit();
		} else {
			window.close;
		}
	}
}
</script>


<body>
	<div>
		<div id="header" style="margin-left:18%;" class="col-xs-2 col-sm-2 col-md-2 headerbianco">
			<a href="index.srvl"><img alt="torna alla pagina iniziale"
				title="torna alla pagina iniziale" src="immagini/enostra.png"
				class="logo"></a>
		</div>
		<c:set var="patternNumber" value="#,##0.00" />
		<div class="grigia" id="accettazioneofferta">
			<div class="larghezza70">
				<h1 id="title"><b>Accettazione offerta servizio ${numero}/${anno}</b></h1>
				<div id="messages">
					<%@ include file="../talk.jspf"%>
				</div>
				<p>Per sottoscrivere l'offerta, occorre innanzitutto confermare
					la soluzione prescelta i cui dettagli sono riportati nel documento
					inviato in allegato alla mail di presentazione del preventivo.
					<br/> La pagina successiva permetter&agrave; di inserire i dati necessari
					per la stipula del contratto di appalto e per l'emissione delle fatture. 
					Qualora non si disponga di tutte le informazioni necessarie, &egrave; possibile comunicarle
					un momento successivo seguendo le istruzioni contenute nella mail che verr&agrave; spedita
					a seguito dell'accettazione dell'offerta.</p>
			</div>
			<c:url var="url" value="confermaaccettazioneofferta.srvl" />
			<div class="bianco larghezza70 space">
				<p>
					Confermare la soluzione prescelta:
				</p>
				<form id="serviceform" method="post" enctype="multipart/form-data"
					action="${fn:escapeXml(url)}"
					onsubmit="event.preventDefault(); validateMyForm();">
					<input type="hidden" name="numero" value="${numero}" /> <input
						type="hidden" name="anno" value="${anno}" /> <input type="hidden"
						name="random" value="${random}" /> <input type="hidden" name="id"
						value="${id}" />
					<div>
						<table id="tabellaalternativeofferta" aria-label="tabella alternative offerta"
							class="nohorizontalscroll tabellabianca tabellaOfferta">
							<tbody>
								<elabor:condset var="checkedAlternativa"
									test="${alternativascelta  == -1}"
									trueValue="checked='checked'" falseValue="" />
								<tr>
									<td style="width:50%;">
									<label>
										<input type="radio" name="alternativa" value="-1" class="radioButton"
											id="alternativa" ${checkedAlternativa} />
										<span class="labelOfferta"
											id="offertabasetitolo">${offerta.titolo}</span>
									</label>
									</td>
									<td style="width:50%" id="offertabaseimponibile"><fmt:formatNumber
											value='${offerta.imponibileTotale}'
											pattern='${patternNumber}' /> &euro; + iva</td>
								</tr>
								<c:set var="alternativeofferta" value="${offerta.alternative}" />
								<c:forEach var="alternativa" items="${alternativeofferta}"
									varStatus="statusRiga">
									<elabor:condset var="checkedAlternativa"
										test="${statusRiga.index == alternativascelta}"
										trueValue="checked='checked'" falseValue="" />
									<tr>
										<td style="width:50%">
										<label>
											<input type="radio" name="alternativa"
												value="${statusRiga.index}" class="radioButton"
												id="alternativa-${statusRiga.index}" ${checkedAlternativa} />
											<span class="labelOfferta"
												id="alternativatitolo-${statusRiga.index}">${alternativa.titolo}</span>
										</label>
										</td>
										<td style="width:50%"
											id="alternativaimponibile-${statusRiga.index}"><fmt:formatNumber
												value='${alternativa.imponibileTotale}'
												pattern='${patternNumber}' /> &euro; + iva</td>
									</tr>
								</c:forEach>
							</tbody>
						</table>
						<table id="tabellaextraofferta" aria-label="tabella extra offerta"
							class="nohorizontalscroll space tabellabianca">

							<tbody>
								<c:set var="extraoffertaMap" value="${offerta.extra}" />
								<c:forEach var="entry" items="${extraoffertaMap}"
									varStatus="statusRiga">
									<c:set var="extra" value="${entry.value}" />
									<elabor:condset var="checkedExtra"
										test="${extrascelti.contains(statusRiga.index)}"
										trueValue="checked='checked'" falseValue="" />
									<tr>
										<td style="width:50%">
										<label>
											<input type="checkbox" name="extra" class="checkBoxs"
												value="${entry.key}" id="extra-${statusRiga.index}"
												${checkedExtra} /> 
											<span class="labelCheckOfferta"
												id="extratitolo-${statusRiga.index}">${extra.titolo}</span>
											</label>
										</td>
										<td style="width:50%" id="extraimponibile${statusRiga.index}"><fmt:formatNumber
												value='${extra.imponibileTotale}' pattern='${patternNumber}' />
											&euro; + iva</td>
									</tr>
								</c:forEach>
							</tbody>
						</table>
					</div>
					<hr size="2" width="100%" color="black">
					<div class="space">
					<label for="condizioni">
						<input type="checkbox" name="condizioni" id="condizioni" class="checkBoxs"/>
							<span class="labelCheckOfferta">Con il conferimento
								dell'incarico si ritengono accettate le Condizioni Generali di
								Contratto previste per gli <a
								href="https://drive.google.com/file/d/14CW3af6NhpPWH5zQcZr-Wou-MSw3gX_p/view"
								target="_blank">interventi ordinari</a> e per gli <a
								href="https://drive.google.com/file/d/1YwoxQCR92vMwG0h_TOXvicEDOajEK-K8/view"
								target="_blank">interventi ammessi a Superbonus 110%</a>
						</span>
						</label>
					</div>
					<button type="submit" id="conferma" title="conferma"
						class="buttonAccOff btn btn-default">Sottoscrivo
						l'offerta</button>
				</form>
				<%@ include file="../footerbianco.jspf"%>

			</div>
		</div>
	</div>
</body>
</html>