<?xml version="1.0" encoding="UTF-8" ?>

<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="elabor" uri="http://elabor.biz/tld/tools"%>

<!DOCTYPE html>

<html lang="it" xmlns="http://www.w3.org/1999/xhtml">

<head>
<TITLE>Richiesta di servizio</TITLE>
<%@ include file="../head.jspf"%>
<SCRIPT type="text/javascript">

	function setActiveTab(activeTab) {
		var field = document.getElementById("active_tab");
		field.setAttribute('value', activeTab);
		setActiveSubtab(0);
	}

	function setActiveSubtab(activeSubtab) {
		var field = document.getElementById("active_subtab");
		field.setAttribute('value', activeSubtab);
		setActiveSubsubtab(0);
	}

	function setActiveSubsubtab(activeSubsubtab) {
		var field = document.getElementById("active_subsubtab");
		console.log(activeSubsubtab);
		field.setAttribute('value', activeSubsubtab);
	}

	function addHashtag(select, target) {
		hashtag = select.selectedOptions[0].value;
		var element = document.getElementById(target);
		element.value += " #" + hashtag;
		select.selectedIndex = 0;
	}

	function showDatiAggiuntivi(checkbox) {
		var field = document.getElementById("datiaggiuntivi");
		style = field.style.display;
		if (checkbox.checked) {
			field.style.display="";
		}else {
			field.style.display="none";
		}
	}
	
</SCRIPT>
</head>

<body style="background-color: white;">
	<%@ include file="../header.jspf"%>
	<%@ include file="../navigationbar.jspf"%>
	<div>
	
		<c:set var="datiRichiesta" value="${numero}/${anno} - ${datifatturazionerichiedente.nomeCognomeRichiedente}"/>
		<c:if test="${numero==0}">
			<c:set var="datiRichiesta" value="nuova richiesta" />
		</c:if>

		<h1 id="title" class="mainColor textcenter">Gestione richiesta di
			servizio (${datiRichiesta})</h1>

		<div id="messages">
			<%@ include file="../talk.jspf"%>
		</div>
		<c:set var="mappaDatiContrattoAppalto" value="${mappeparametri.mappaDatiContrattoAppalto}" />
		<c:set var="mappaOfferte" value="${mappeparametri.mappaOfferte}" />
		<c:set var="noofferteaccettate" value="true" />
		<c:forEach var="current" items="${mappaOfferte}">
			<c:set var="stato" value="${current.value['statoofferta']}" />
			<c:set var="solaprogettazione" value="${current.value['serviziosolaprogettazione']}" />
			<c:set var="idOfferta" value="${current.value['id']}" />
			<c:set var="mappaDatiContrattoAppaltoOfferta" value="${mappaDatiContrattoAppalto[idOfferta]}" />
			<c:set var="contrattoAppalto" value="${mappaDatiContrattoAppaltoOfferta['contrattoappalto']}" />
			<c:if test="${stato=='ACCETTATA' && !solaprogettazione}">
				<c:set var="noofferteaccettate" value="false" />
			</c:if>
		</c:forEach>
		<c:set var="mappaOfferte" value="${mappeparametri.mappaOfferte}" />
		<c:set var="noofferteaccettatedaticontratto" value="true" />
		<c:forEach var="current" items="${mappaOfferte}">
			<c:set var="stato" value="${current.value['statoofferta']}" />
			<c:if test="${stato=='ACCETTATA'}">
				<c:set var="noofferteaccettatedaticontratto" value="false" />
			</c:if>
		</c:forEach>

		<c:if test="${empty active_tab}">
			<c:set var="active_tab" value="richiesta" />
		</c:if>

		<elabor:condset var="richiesta_active"
			test="${active_tab == 'richiesta'}" trueValue="active" falseValue="" />
		<elabor:condset var="richiesta_fade"
			test="${active_tab == 'richiesta'}" trueValue="active"
			falseValue="fade" />

		<elabor:condset var="offerte_active" test="${active_tab == 'offerte'}"
			trueValue="active" falseValue="" />
		<elabor:condset var="offerte_fade" test="${active_tab == 'offerte'}"
			trueValue="active" falseValue="fade" />

		<elabor:condset var="contratti_active"
			test="${active_tab == 'contratti'}" trueValue="active"
			falseValue="" />
		<elabor:condset var="contratti_fade"
			test="${active_tab == 'contratti'}" trueValue="active"
			falseValue="fade" />

		<elabor:condset var="forniture_active"
			test="${active_tab == 'forniture'}" trueValue="active" falseValue="" />
		<elabor:condset var="forniture_fade"
			test="${active_tab == 'forniture'}" trueValue="active"
			falseValue="fade" />

		<elabor:condset var="fatturazione_active"
			test="${active_tab == 'fatturazione'}" trueValue="active"
			falseValue="" />
		<elabor:condset var="fatturazione_fade"
			test="${active_tab == 'fatturazione'}" trueValue="active"
			falseValue="fade" />

		<elabor:condset var="quadroeconomico_active"
			test="${active_tab == 'quadroeconomico'}" trueValue="active"
			falseValue="" />
		<elabor:condset var="quadroeconomico_fade"
			test="${active_tab == 'quadroeconomico'}" trueValue="active"
			falseValue="fade" />

		<elabor:condset var="noteservizio_active"
			test="${active_tab == 'noteservizio'}" trueValue="active"
			falseValue="" />
		<elabor:condset var="noteservizio_fade"
			test="${active_tab == 'noteservizio'}" trueValue="active"
			falseValue="fade" />

		<elabor:condset var="storia_active" test="${active_tab == 'storia'}"
			trueValue="active" falseValue="" />
		<elabor:condset var="storia_fade" test="${active_tab == 'storia'}"
			trueValue="active" falseValue="fade" />
				
		<elabor:condset var="storia_offerte_active" test="${active_tab == 'storia_offerte'}"
			trueValue="active" falseValue="" />
		<elabor:condset var="storia_offerte_fade" test="${active_tab == 'storia_offerte'}"
			trueValue="active" falseValue="fade" />
	
		<elabor:condset var="questionari_active"
			test="${active_tab == 'questionari'}" trueValue="active"
			falseValue="" />
		<elabor:condset var="questionari_fade"
			test="${active_tab == 'questionari'}" trueValue="active"
			falseValue="fade" />

		<c:url var="servizioUrl" value="servizio.srvl" />
		<form id="serviceform" method="post" enctype="multipart/form-data"
			action="${fn:escapeXml(servizioUrl)}">
			<button type="submit" hidden="hidden"></button>
			<INPUT type="hidden" id="active_tab" name="active_tab" value="${active_tab}" />
			<INPUT type="hidden" id="active_subtab" name="active_subtab" value="${active_subtab}" />
			<INPUT type="hidden" id="active_subsubtab" name="active_subsubtab" value="${active_subsubtab}" />
			<c:set var="tiporichiedente" value="${mappeparametri.mappaRichiesta['tiporichiedente']}" />
			<input id="tiporichiedente" type="hidden" name="tiporichiedente" value="${tiporichiedente}" />
			<c:if test="${not empty numero && numero != 0}">
				<input type="hidden" name="anno" class="form-control" value="${anno}" />
				<input type="hidden" name="numero" class="form-control" value="${numero}" />
			</c:if>

			<div class="container">
				<c:url var="copyUrl" value="copyservizio.srvl">
					<c:param name="anno" value="${anno}"></c:param>
					<c:param name="numero" value="${numero}"></c:param>
				</c:url>
				<c:if test="${copybutton}">
					<div class="form-group col-xs-12 col-sm-12 col-md-12 isolated">
						<a class="btn btn-outline-secondary btnDefault btn-duplica"
							href="${copyUrl}" id="copy_servizio">duplica</a>
					</div>
				</c:if>
				<ul class="nav nav-tabs" role="tablist">
					<li class="maintab nav-item"><a
						class="maintab nav-link ${richiesta_active}" data-toggle="tab"
						href="#richiesta" onclick="setActiveTab('richiesta')"
						id="sezionerichiesta">Richiesta</a></li>
					<li class="maintab nav-item"><a
						class="maintab nav-link ${offerte_active}" data-toggle="tab"
						href="#offerte" onclick="setActiveTab('offerte')"
						id="sezioneofferte">Offerta</a></li>
					<li class="maintab nav-item"><a
						class="maintab nav-link ${contratti_active}" data-toggle="tab"
						href="#contratti" onclick="setActiveTab('contratti')"
						id="sezionecontratti">Contratti</a></li>
					<li class="maintab nav-item"><a
						class="maintab nav-link ${forniture_active}" data-toggle="tab"
						href="#forniture" onclick="setActiveTab('forniture')"
						id="sezioneforniture">Fornitura</a></li>
					<li class="maintab nav-item"><a
						class="maintab nav-link ${fatturazione_active}" data-toggle="tab"
						href="#fatturazione"
						onclick="setActiveTab('fatturazione');setActiveSubtab(1);"
						id="sezionefatturazione">Fatturazione</a></li>
					<li class="maintab nav-item"><a
						class="maintab nav-link ${quadroeconomico_active}"
						data-toggle="tab" href="#quadroeconomico"
						onclick="setActiveTab('quadroeconomico')"
						id="sezionequadroeconomico">Quadro economico</a></li>
					<li class="maintab nav-item"><a
						class="maintab nav-link ${noteservizio_active}" data-toggle="tab"
						href="#noteservizio" onclick="setActiveTab('noteservizio')"
						id="sezionenoteservizio">Note</a></li>
					<li class="maintab nav-item"><a
						class="maintab nav-link ${storia_active}" data-toggle="tab"
						href="#storia" onclick="setActiveTab('storia')" id="sezionestoria">Storia servizio</a></li>
					<li class="maintab nav-item"><a
						class="maintab nav-link ${storia_offerte_active}" data-toggle="tab"
						href="#storia_offerte" onclick="setActiveTab('storia_offerte')"
						id="sezionestoriaofferte">Storia offerte</a></li>
					<li class="maintab nav-item"><a
						class="maintab nav-link ${questionari_active}" data-toggle="tab"
						href="#questionari" onclick="setActiveTab('questionari')"
						id="sezionequestionari">Questionari</a></li>
				</ul>
				<div class="tab-content">
					<div id="richiesta" class="tab-pane ${richiesta_fade}">
						<%@ include file="richiesta.jspf"%>
					</div>
					<div id="offerte" class="tab-pane ${offerte_fade}">
						<%@ include file="offerte.jspf"%>
					</div>
					<div id="forniture" class="tab-pane ${forniture_fade}">
						<%@ include file="forniture.jspf"%>
					</div>
					<div id="fatturazione" class="tab-pane ${fatturazione_fade}">
						<%@ include file="fatturazione.jspf"%>
					</div>
					<div id="quadroeconomico" class="tab-pane ${quadroeconomico_fade}">
						<%@ include file="quadroeconomico.jspf"%>
					</div>
					<div id="contratti" class="tab-pane ${contratti_fade}">
						<%@ include file="contratti.jspf"%>
					</div>
					<div id="noteservizio" class="tab-pane ${noteservizio_fade}">
						<%@ include file="note.jspf"%>
					</div>
					<div id="storia" class="tab-pane ${storia_fade}">
						<%@ include file="storia.jspf"%>
					</div>
					<div id="storia_offerte" class="tab-pane ${storia_offerte_fade}">
						<%@ include file="storiaofferte.jspf"%>
					</div>
					<div id="questionari" class="tab-pane ${questionari_fade}">
						<%@ include file="questionari.jspf"%>
					</div>
				</div>
				<button type="submit" id="salvaservizio" title="salva servizio"
					class="btn btn-default fa fa-check"></button>
			</div>
		</form>
	</div>
	<%@ include file="../footer.jspf"%>
</body>
</html>
