<?xml version="1.0" encoding="UTF-8" ?>

<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib prefix="elabor" uri="http://elabor.biz/tld/tools"%>

<!DOCTYPE html>

<html lang="it" xmlns="http://www.w3.org/1999/xhtml">

<head>
<TITLE>Richiesta di servizio</TITLE>
<%@ include file="../head.jspf"%>
<script>
$(document).ready(function() {
		var container=$('.bootstrap-iso form').length>0 ? $('.bootstrap-iso form').parent() : "body";
		var options = {
			format: 'dd/mm/yyyy hh:ii',
			changeMonth : true,
			changeYear : true,
			yearRange : "-1:+1",
			container: container,
	        todayHighlight: true,
	        autoclose: true,
	        language: "it",																																																																						
		};
		$('input[name="data"]').datetimepicker(options);
	});
</script>
</head>

<body style="background-color: white;">
	<%@ include file="../header.jspf"%>
	<%@ include file="../navigationbar.jspf"%>
	<div>
		<c:set var="pattern" value="dd/MM/yyyy HH:mm" />
		<div id="messages">
			<%@ include file="../talk.jspf"%>
		</div>
		
		<h1 id="title" class="mainColor textcenter">Aggiungi passaggio di stato (${numero}/${anno} - ${offerta.titoloOffertaAccettata})</h1>
		<div class="container" >
			<c:url var="addstatoofferta" value="addstatoofferta.srvl" />
			<form method="post" action="${fn:escapeXml(addstatoofferta)}">
				<input type="text" hidden="hidden" name="anno" id="anno" value="${anno}" />
				<input type="text" hidden="hidden" name="numero" id="numero" value="${numero}" />
				<input type="text" hidden="hidden" name="idofferta" id="idofferta" value="${idofferta}"/>
				<div class="row">
					<div class="form-group col-xs-6 col-sm-6 col-md-4">
						<label>data passaggio stato</label>
						<input type="text" name="data" id="data" value="${data}" placeholder="gg/mm/aaaa HH:mm" class="form-control" />
					</div>
					<div class="form-group col-xs-6 col-sm-6 col-md-4">
						<label>stato offerta</label>
						<select name="stato"  class="form-control" id="stato" >
							<option value="">---</option>
							<c:forEach var="current" items="${stati}">
								<elabor:condset var="selected" test="${stato == current.name}"
									trueValue="selected='selected'" falseValue="" />
								<option value="${current.name}" ${selected}>${current.descrizione}</option>
							</c:forEach>
						</select>
					</div>
				</div>
				<div class="row">
					<div class="col-xs-12 col-sm-12 col-md-12">
						<button type="submit" id="addstatoofferta" title="conferma"
							class="btn btn-default fa fa-check"></button>
						<c:url var="urlAnnulla" value="annullaaddpassaggiostato.srvl">
							<c:param name="anno" value="${anno}"></c:param>
							<c:param name="numero" value="${numero}"></c:param>	
						</c:url>
						<a href="${fn:escapeXml(urlAnnulla)}" id="annulla" class="btn btn-default btn-lg fas fa-arrow-left"></a>
					
					</div>
				</div>
			</form>
			
		</div>
	
	</div>
	<%@ include file="../footer.jspf"%>
</body>
</html>
	