<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<?xml version="1.0" encoding="UTF-8" ?>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="elabor" uri="http://elabor.biz/tld/tools"%>

<!DOCTYPE html>

<html lang="it" xmlns="http://www.w3.org/1999/xhtml">

<head>
	<TITLE>Inserimento Template Mail Note</TITLE>
	<%@ include file="../head.jspf"%>
	<script type="text/javascript">
		<%@ include file="/js/preview.js" %>	
	</script>	
</head>

<body>
	<%@ include file="../header.jspf"%>
	<%@ include file="../navigationbar.jspf"%>

	<div id="messages">
		<%@ include file="../talk.jspf"%>
	</div>

	<div class="isolated container">
		<h1 class="mainColor isolated textcenter">inserimento template mail note</h1>
		<c:url var="addUrl" value="addtemplatemailnote.srvl" />
		<form method="post" action="${fn:escapeXml(addUrl)}">
			<input type="hidden" name="active_template_tab" value="emailNote" />
			<div class="row">
				<div class="row col-xs-12 col-sm-12 col-md-12">
					<div class="form-group col-xs-12 col-sm-12 col-md-6">
						<label for="titoloEmailNote">titolo</label>
						<input class="form-control" id="titoloEmailNote" type="text" 
						name="mailnotetitolo" value="${mailnotetitolo}" />
					</div>
				</div>
				<div class="row col-xs-12 col-sm-12 col-md-12">
					<div class="form-group col-xs-12 col-sm-12 col-md-12">
						<label for="oggettoEmailNote">oggetto email nota</label>
						<textarea id="oggettoEmailNote" name="mailnoteoggetto" class="form-control" 
						rows="1">${mailnoteoggetto}</textarea>
					</div>
				</div>
				<div class="row col-xs-12 col-sm-12 col-md-12">
					<div class="form-group col-xs-12 col-sm-12 col-md-6">
						<label for="testoEmailNote">testo email nota</label>
						<c:set var="testo" value="testoEmailNote"/>
						<c:set var="preview" value="previewTestoEmailNote"/>
						<textarea id="testoEmailNote" name="mailnotetesto"
						rows="10" class="form-control" oninput="makePreview(${testo}, ${preview})">${mailnotetesto}</textarea>
					</div>
					<div class="form-group col-xs-12 col-sm-12 col-md-6">
						<label for="previewTestoEmailNote">preview testo email socio</label>
						<div style="min-height: 270px;" class="form-control preview" id="previewTestoEmailNote">${previewmailnotetesto}</div>
					</div>
				</div>
				<div class="row col-xs-12 col-sm-12 col-md-12">
					<div class="col-xs-12 col-sm-12 col-md-6">
						<button type="submit" id="conferma" title="aggiungi" class="btn btn-default fas fa-check" />
					</div>				
					<c:url var="indietroUrl" value="indietro.srvl">
						<c:param name="active_template_tab" value="emailNote" />
					</c:url>
					<div class="col-xs-12 col-sm-12 col-md-6">
						<a id="indietro" href="${fn:escapeXml(indietroUrl)}" title="indietro" 
							class="btn btn-default fas fa-arrow-left right"></a>
					</div>
				</div>
			</div>
		</form>
	</div>
	<%@ include file="../footer.jspf"%>
</body>
</html>
