<?xml version="1.0" encoding="UTF-8" ?>

<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib prefix="elabor" uri="http://elabor.biz/tld/tools"%>

<!DOCTYPE html>

<html lang="it" xmlns="http://www.w3.org/1999/xhtml">

<head>
<TITLE>Richieste di servizio - registrazione</TITLE>
<%@ include file="../head.jspf"%>
<%-- 	<script type="text/javascript"><%@ include file="../js/captcha.js" %></script> --%>
<script>
	$(document).ready(
		function() {
			var container = $('.bootstrap-iso form').length > 0 ? $(
					'.bootstrap-iso form').parent() : "body";
			var options = {
				dateFormat : "dd/mm/yy",
				changeMonth : true,
				changeYear : true,
				yearRange : "-1:+1",
				container : container,
				todayHighlight : true,
				autoclose : true,
				language : "it",
			};
			$('input[name="datanascitalegalerappresentante"]').datepicker(
					options);
		});
	$(document).ready(function() {
		var province = $("[name='province']")
		$.each(province, function(index, provincia) {
			if (provincia.checked) {

				console.log($('#labelcheckAll'))
				$('#checkAll').prop('checked', true)
				$('#labelcheckAll').text('deselezionare tutti')
			}
		});
 	 });
	
	$(function() {
		$("#checkAll").click(function () {
			$("[name='province']").prop('checked', $(this).prop('checked'));
			$("[name='checkallregione']").prop('checked', $(this).prop('checked'));
			const label = $('#labelcheckAll')
			if ($(this).prop('checked')) {
				label.text('deselezionare tutti')
			} else {
				label.text('selezionare tutti')
			}
		});
	})
	
	$(function() {
		$('input[name="checkallregione"]').click(function () {
			var regioneChecked = $(this).prop('checked')
			var province = $("[name='province']")
			var id = $(this).val() + '-provincia-'
			$.each(province, function(index, provincia) {
				if (provincia.id.startsWith(id)) {
					$(this)[0].checked = regioneChecked
				}
			});
		});
	})
	
	$(document).ready(function() {
		var regioni = $('input[name="checkallregione"]')
		$.each(regioni, function(index, regione) {
			var id = $(this)[0].value + '-provincia-'
			var province = $("input[id^='" + id + "']")
			var regioneChecked = true
			$.each(province, function(index, provincia) {
				console.log(provincia)
				if (!provincia.checked) {
					regioneChecked = false
				}
			});
			regione.checked = regioneChecked
		});
 	 });
</script>

</head>

<body>
	<%@ include file="../header.jspf"%>
	<div class="container">

		<h1 id="title" class="mainColor textcenter">Registrazione</h1>
		<h2 id="subtitle" class="mainColor textcenter">I campi con (*)
			sono obbligatori</h2>
		<div id="messages">
			<%@ include file="../talk.jspf"%>
		</div>

		<form method="post" name="forma" action="" enctype="multipart/form-data">
			<div class="row">
				<div class="col-xs-12 col-md-12 top-buffer ">
					<div class="form-group">
						<label for="firstname">nome (*)</label> <input type="text" name="firstname"
							value="${firstname}" class="form-control" id="firstname" />
					</div>
					<div class="form-group">
						<label for="lastname">cognome (*)</label> <input type="text" name="lastname"
							value="${lastname}" class="form-control" id="lastname" />
					</div>
					<div class="form-group">
						<label for="username">username (*)</label> <input type="text" name="username"
							value="${username}" class="form-control" id="username" />
					</div>
					<div class="form-group">
						<label for="codicefiscale">codice fiscale</label> <input type="text"
							name="codicefiscale" value="${codicefiscale}"
							class="form-control" id="codicefiscale" />
					</div>
					<div class="form-group">
						<label for="address">indirizzo</label> <input type="text" name="address"
							value="${address}" class="form-control" id="address" />
					</div>
					<div class="form-group">
						<label for="email">e-mail (*)</label> <input type="text" name="email"
							value="${email}" class="form-control" id="email" />
					</div>
					<div class="form-group">
						<label for="telefono">numero di telefono (*)</label> <input type="text"
							name="telefono" value="${telefono}" class="form-control"
							id="telefono" />
					</div>
					<div class="form-group">
						<label for="company">azienda</label> <input type="text" name="company"
							value="${company}" class="form-control" id="company" />
					</div>
					<div class="form-group">
						<label for="sede">sede legale azienda</label> <input type="text" name="sede"
							value="${sede}" class="form-control" id="sede" />
					</div>
					<div class="form-group">
						<label for="cfazienda">codice fiscale azienda</label> <input type="text"
							name="cfazienda" value="${cfazienda}" class="form-control"
							id="cfazienda" />
					</div>
					<div class="form-group">
						<label for="piva">partita iva azienda</label> <input type="text" name="piva"
							value="${piva}" class="form-control" id="piva" />
					</div>
					<div class="form-group">
						<label for="pec">PEC azienda</label> <input type="text" name="pec"
							value="${pec}" class="form-control" id="pec" />
					</div>
					<div class="form-group">
						<label for="sdi">codice SdI Agenzia Entrate azienda</label> <input
							type="text" name="sdi" value="${sdi}" class="form-control"
							id="sdi" />
					</div>
					<div class="form-group">
						<label for="nomelegalerappresentante">nome legale rappresentante</label> <input type="text"
							name="nomelegalerappresentante"
							value="${nomelegalerappresentante}" class="form-control"
							id="nomelegalerappresentante" />
					</div>
					<div class="form-group">
						<label for="cognomelegalerappresentante">cognome legale rappresentante</label> <input type="text"
							name="cognomelegalerappresentante"
							value="${cognomelegalerappresentante}" class="form-control"
							id="cognomelegalerappresentante" />
					</div>
					<div class="form-group">
						<label for="luogonascitalegalerappresentante">luogo nascita legale rappresentante</label> <input
							type="text" name="luogonascitalegalerappresentante"
							value="${luogonascitalegalerappresentante}" class="form-control"
							id="luogonascitalegalerappresentante" />
					</div>
					<div class="form-group">
						<label for="datanascitalegalerappresentante">data nascita legale rappresentante</label> <input
							type="text" name="datanascitalegalerappresentante"
							value="${datanascitalegalerappresentante}" class="form-control"
							id="datanascitalegalerappresentante" placeholder="gg/mm/aaaa" />
					</div>
					<div class="form-group">
						<label for="indirizzolegalerappresentante">indirizzo legale rappresentante</label> <input type="text"
							name="indirizzolegalerappresentante"
							value="${indirizzolegalerappresentante}" class="form-control"
							id="indirizzolegalerappresentante" />
					</div>
					<div class="form-group">
						<elabor:condset var="checkyes" test="${socio}"
							trueValue="checked='checked'" falseValue="" />
						<elabor:condset var="checkno" test="${not socio}"
							trueValue="checked='checked'" falseValue="" />
						<label for="conferma-socio">Sei gi&agrave; socio di
							&egrave;nostra o hai presentato domanda di adesione?</label> <label
							for="conferma-socio-si" class="separated">s&igrave;</label> <input
							type="radio" name="socio" id="conferma-socio-si" value="true"
							${checkyes} /> <label for="conferma-socio-no" class="separated">no</label>
						<input type="radio" name="socio" id="conferma-socio-no" value="false" ${checkno} />
					</div>
				</div>
			</div>
			<div class="row">
				<h3>Indica le tue attivit&agrave; e aree di competenza</h3>
				<div class="col-xs-12 col-sm-12 col-md-12">
				<label>Ti comunicheremo le opportunit&agrave; relative al
					tuo campo di competenza (termoidraulico e/o elettrico) e alle
					aree geografiche in cui operi. &Egrave; ammessa la selezione di opzioni
					multiple</label>
				<c:forEach var="areacompetenza" items="${areecompetenza}" varStatus="acstatus" >
					<div class="form-group col-xs-12 col-sm-12 col-md-12">
						<elabor:condset var="checked" test="${areecompetenzautente[acstatus.index]}"
							trueValue="checked='checked'" falseValue="" />
						<input
							class="separate"
							type="checkbox"
							name="areecompetenza"
							id="areacompetenza-${acstatus.index}"
							value="${areacompetenza.name}"
							${checked} />
						<label for="areacompetenza-${acstatus.index}">${areacompetenza.description}</label>
					</div>
				</c:forEach>
				</div>
			</div>
			
			<div class="row border">
				<label class="isolated isolatedhorizontal" for="checkall" id="labelcheckAll" style="margin-left:86%">selezionare tutti</label>
				<input type="checkbox" name="checkall" id="checkAll" value="" />
			</div>
			<div class="row border">
				<c:forEach var="regioneProvincia" items="${regioneProvincia}">
					<c:set var="regione" value="${regioneProvincia.key}" />
					<c:set var="elenco" value="${regioneProvincia.value}" />
					<c:set var="splitRegione" value="${fn:split(regione, ' ')}" />
					<div class="elementPro">
						<div>
							<input type="checkbox" name="checkallregione" id="${splitRegione[0]}-checkbox" value="${splitRegione[0]}" class="largerCheckbox"/>
							<label for="${splitRegione[0]}-checkbox" 
								class="isolated textcenter headertext mainlabel">${regione}</label>
						</div>
						<div class="provinceList flex-div">
							<div>
								<c:forEach var="provincia1" items="${elenco['1']}">
									<div style="width: 180px;">
										<elabor:condset var="checked" test="${provinceutente.contains(provincia1.name)}"
											trueValue="checked='checked'" falseValue="" />
										<input
											type="checkbox"
											name="province"
											id="${splitRegione[0]}-provincia-${provincia1.name}"
											value="${provincia1.name}"
											${checked} />
										<label for="${splitRegione[0]}-provincia-${provincia1.name}">${provincia1.name}</label>
									</div>
								</c:forEach>
							</div>
							<div>
								<c:forEach var="provincia2" items="${elenco['2']}" varStatus="prostatus">
									<div style="width: 180px;">
										<elabor:condset var="checked" test="${provinceutente.contains(provincia2.name)}"
											trueValue="checked='checked'" falseValue="" />
										<input
											type="checkbox"
											name="province"
											id="${splitRegione[0]}-provincia-${provincia2.name}"
											value="${provincia2.name}"
											${checked} />
										<label for="${splitRegione[0]}-provincia-${provincia2.name}">${provincia2.name}</label>
									</div>
								</c:forEach>
							</div>
						</div>
					</div>
				</c:forEach>
			</div>
			
			<div class="row isolated">
					<h3 class="isolated">Scarica, compila e ricarica i seguenti documenti</h3>
					<c:set var="docUser" value="${documentiaccordiutente}" />
					<div class="border isolated col-xs-12 col-sm-12 col-md-12">
						<!-- <h3 class="isolated">ditte installatrici</h3> -->
						<table class="table table-responsive table-hover table-condensed" aria-label="modulistica">
							<tr>
								<th class="textcenter" style="min-width:12%">titolo</th>
								<th class="textcenter" style="min-width:10%">scarica il modulo</th>
								<th class="textcenter" style="min-width:10%">carica il documento firmato</th>
							</tr>
							<tr>
								<td class="titleTable" colspan="3">ditte installatrici</td>
							</tr>
							<c:forEach var="doc" items="${documentiaccordi}" varStatus="docAccordiStatus">
								<c:if test="${doc.name == 'ACCORDO_QUADRO_PROFESSIONISTI'}">
									<tr>
										<td class="titleTable" colspan="3">professionisti</td>
									</tr>
								</c:if>
								<tr>
									<td>${doc.description}</td>
									<td class="textcenter">
										<c:url var="urlDownloadModulo" value="registrationdownloadmodulo.srvl">
											<c:param name="tipodocumento" value="${doc.name}" />
										</c:url>
										<a href="${fn:escapeXml(urlDownloadModulo)}" class="btn btnLink" 
										id="download-${doc.name}">Scarica</a>
									</td>
									<td class="textcenter">
										<input type="file" name="${doc.name}" value="" id="upload-${doc.name}"></input>
									</td>
								</tr>
							</c:forEach>
						</table>
					</div>
				</div>
			<div class="row">
				<h3>Conferma dati</h3>
				<div class="col-xs-12 col-sm-12 col-md-12">
				<div class="form-group">
					<input type="checkbox" name="autorizzazione" id="trattamento_dati" />
					<label for="trattamento_dati">autorizzo il trattamento dei
						dati personali ai sensi dell'art. 4, comma 1, lett. i) D.Lgs. n.
						196/03</label>
				</div>
				<div class="form-group">
					<img src="captcha.srvl" id="captchaImage" alt="ERRORE: captcha non generato"/> Inserire la parola
					visualizzata: <input type="text" name="answer"
						class="form-control" id="captcha" />
				</div>
				</div>
			</div>
			<div class="row">
				<button type="submit" title="registra"
					class="btn btn-default fas fa-check" id="invia"></button>
				<a href="login.srvl" title="torna alla pagina di login"
					class="text-right btn btn-default fa fa-arrow-left" id="indietro"></a>
			</div>
		</form>
	</div>

	<%@ include file="../footer.jspf"%>

</body>

</html>