<?xml version="1.0" encoding="UTF-8" ?>

<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib prefix="elabor" uri="http://elabor.biz/tld/tools"%>

<!DOCTYPE html>

<html lang="it" xmlns="http://www.w3.org/1999/xhtml">

<head>
<TITLE>Richieste di servizio - modifica profilo</TITLE>
<%@ include file="../head.jspf"%>
<script>
	$(document).ready(
		function() {
			var container = $('.bootstrap-iso form').length > 0 ? $(
					'.bootstrap-iso form').parent() : "body";
			var options = {
				dateFormat : "dd/mm/yy",
				changeMonth : true,
				changeYear : true,
				yearRange : "-1:+1",
				container : container,
				todayHighlight : true,
				autoclose : true,
				language : "it",
			};
			$('input[name="datanascitalegalerappresentante"]').datepicker(
					options);
		});
	
	$(document).ready(function() {
		var province = $("[name='province']")
		$.each(province, function(index, provincia) {
			if (!provincia.checked) {
				$('#checkAll').prop('checked', false)
				$('#labelcheckAll').text('selezionare tutti')
			}
		});
 	 });
	
	$(function() {
		$("#checkAll").click(function () {
			$("[name='province']").prop('checked', $(this).prop('checked'));
			$("[name='checkallregione']").prop('checked', $(this).prop('checked'));
			const label = $('#labelcheckAll')
			if ($(this).prop('checked')) {
				label.text('deselezionare tutti')
			} else {
				label.text('selezionare tutti')
			}
		});
	})
	
	$(function() {
		$('input[name="checkallregione"]').click(function () {
			var regioneChecked = $(this).prop('checked')
			var province = $("[name='province']")
			var id = $(this).val() + '-provincia-'
			$.each(province, function(index, provincia) {
				if (provincia.id.startsWith(id)) {
					$(this)[0].checked = regioneChecked
				}
			});
		});
	})
	
	$(document).ready(function() {
		var regioni = $('input[name="checkallregione"]')
		$.each(regioni, function(index, regione) {
			var id = $(this)[0].value + '-provincia-'
			var province = $("input[id^='" + id + "']")
			var regioneChecked = true
			$.each(province, function(index, provincia) {
				console.log(provincia)
				if (!provincia.checked) {
					regioneChecked = false
				}
			});
			regione.checked = regioneChecked
		});
 	 });

</script>
</head>

<body>
	<%@ include file="../header.jspf"%>
	<%@ include file="../navigationbar.jspf"%>
	<div class="container">
		<h1 id="title" class="mainColor textcenter">Modifica profilo</h1>
		<h2 id="subtitle" class="mainColor textcenter">I campi con (*)
			sono obbligatori</h2>
		<div id="messages">
			<%@ include file="../talk.jspf"%>
		</div>
		<c:set var="pattern" value="dd/MM/yyyy" />
		<c:choose>
			<c:when test="${userdamodificare == null}">
				<c:set var="username" value="${username}" />
				<c:set var="firstname" value="${firstname}" />
				<c:set var="lastname" value="${lastname}" />
				<c:set var="role" value="${role}" />
				<c:set var="codicefiscale" value="${codicefiscale}" />
				<c:set var="address" value="${address}" />
				<c:set var="email" value="${email}" />
				<c:set var="telefono" value="${telefono}" />
				<c:set var="company" value="${company}" />
				<c:set var="sede" value="${sede}" />
				<c:set var="cfazienda" value="${cfazienda}" />
				<c:set var="piva" value="${piva}" />
				<c:set var="pec" value="${pec}" />
				<c:set var="sdi" value="${sdi}" />
				<c:set var="nomelegalerappresentante"
					value="${nomelegalerappresentante}" />
				<c:set var="cognomelegalerappresentante"
					value="${cognomelegalerappresentante}" />
				<c:set var="luogonascitalegalerappresentante"
					value="${luogonascitalegalerappresentante}" />
				<fmt:formatDate value="${datanascitalegaleRappresentante}"
					var="datanascitalegalerappresentante" pattern="${pattern}" />
				<c:set var="indirizzolegalerappresentante"
					value="${indirizzolegalerappresentante}" />
				<c:set var="socio" value="${socio}" />
			</c:when>
			<c:otherwise>
				<c:set var="username" value="${userdamodificare.username}" />
				<c:set var="firstname" value="${userdamodificare.firstName}" />
				<c:set var="lastname" value="${userdamodificare.lastName}" />
				<c:set var="role" value="${userdamodificare.role}" />
				<c:set var="codicefiscale" value="${userdamodificare.codiceFiscale}" />
				<c:set var="address" value="${userdamodificare.address}" />
				<c:set var="email" value="${userdamodificare.email}" />
				<c:set var="telefono" value="${userdamodificare.telefono}" />
				<c:set var="company" value="${userdamodificare.company}" />
				<c:set var="sede" value="${userdamodificare.sede}" />
				<c:set var="cfazienda" value="${userdamodificare.cfAzienda}" />
				<c:set var="piva" value="${userdamodificare.partitaIva}" />
				<c:set var="pec" value="${userdamodificare.pec}" />
				<c:set var="sdi" value="${userdamodificare.sdi}" />
				<c:set var="nomelegalerappresentante"
					value="${userdamodificare.nomeLegaleRappresentante}" />
				<c:set var="cognomelegalerappresentante"
					value="${userdamodificare.cognomeLegaleRappresentante}" />
				<c:set var="luogonascitalegalerappresentante"
					value="${userdamodificare.luogoNascitaLegaleRappresentante}" />
				<fmt:formatDate
					value="${userdamodificare.dataNascitaLegaleRappresentante}"
					var="datanascitalegalerappresentante" pattern="${pattern}" />
				<c:set var="indirizzolegalerappresentante"
					value="${userdamodificare.indirizzoLegaleRappresentante}" />
				<c:set var="socio" value="${userdamodificare.socio}" />
			</c:otherwise>
		</c:choose>
		<form method="post" name="forma" action="${fn:escapeXml(url)}" enctype="multipart/form-data">
			<div class="row">
				<c:set var="disabled" value="disabled=''" />
				<div class="col-xs-12 col-sm-12 col-md-12 top-buffer">
				<c:url var="url" value="useredit.srvl" />
					<div class="form-group">
						<label>username (*)</label> <input type="text" name="username"
							value="${username}" class="form-control" id="username" disabled />
						<input type="hidden" name="username" value="${username}" />
					</div>
					<div class="form-group">
						<label>nome (*)</label> <input type="text" name="firstname"
							value="${firstname}" class="form-control" id="firstname" />
					</div>
					<div class="form-group">
						<label>cognome (*)</label> <input type="text" name="lastname"
							value="${lastname}" class="form-control" id="lastname" />
					</div>
					<c:if test="${not empty user and user.admin}">
						<div class="form-group">
							<label>ruolo (*)</label> <select name="role" class="form-control"
								id="roles">
								<c:forEach var="current" items="${roles}">
									<c:set var="selected" value="" />
									<c:if test="${current == role}">
										<c:set var="selected" value="selected='selected'" />
									</c:if>
									<option value="${current}" ${selected}>${current.descrizione}</option>
								</c:forEach>
							</select>
						</div>
					</c:if>
					<div class="form-group">
						<label>codice fiscale</label> <input type="text"
							name="codicefiscale" value="${codicefiscale}"
							class="form-control" id="codicefiscale" />
					</div>
					<div class="form-group">
						<label>indirizzo</label> <input type="text" name="address"
							value="${address}" class="form-control" id="address" />
					</div>
					<div class="form-group">
						<label>e-mail (*)</label> <input type="text" name="email"
							value="${email}" class="form-control" id="email" />
					</div>
					<div class="form-group">
						<label>numero di telefono (*)</label> <input type="text"
							name="telefono" value="${telefono}" class="form-control"
							id="telefono" />
					</div>
					<div class="form-group">
						<label>azienda</label> <input type="text" name="company"
							value="${company}" class="form-control" id="company" />
					</div>
					<div class="form-group">
						<label>sede legale azienda</label> <input type="text" name="sede"
							value="${sede}" class="form-control" id="sede" />
					</div>
					<div class="form-group">
						<label>codice fiscale azienda</label> <input type="text"
							name="cfazienda" value="${cfazienda}" class="form-control"
							id="cfazienda" />
					</div>
					<div class="form-group">
						<label>partita iva azienda</label> <input type="text" name="piva"
							value="${piva}" class="form-control" id="piva" />
					</div>
					<div class="form-group">
						<label>PEC azienda</label> <input type="text" name="pec"
							value="${pec}" class="form-control" id="pec" />
					</div>
					<div class="form-group">
						<label>codice SdI Agenzia Entrate azienda</label> <input
							type="text" name="sdi" value="${sdi}" class="form-control"
							id="sdi" />
					</div>
					<div class="form-group">
						<label>nome legale rappresentante</label> <input type="text"
							name="nomelegalerappresentante"
							value="${nomelegalerappresentante}" class="form-control"
							id="nomelegalerappresentante" />
					</div>
					<div class="form-group">
						<label>cognome legale rappresentante</label> <input type="text"
							name="cognomelegalerappresentante"
							value="${cognomelegalerappresentante}" class="form-control"
							id="cognomelegalerappresentante" />
					</div>
					<div class="form-group">
						<label>luogo nascita legale rappresentante</label> <input
							type="text" name="luogonascitalegalerappresentante"
							value="${luogonascitalegalerappresentante}" class="form-control"
							id="luogonascitalegalerappresentante" />
					</div>
					<div class="form-group">
						<label>data nascita legale rappresentante</label> <input
							type="text" name="datanascitalegalerappresentante"
							value="${datanascitalegalerappresentante}" class="form-control"
							id="datanascitalegalerappresentante" placeholder="gg/mm/aaaa" />
					</div>
					<div class="form-group">
						<label>indirizzo legale rappresentante</label> <input type="text"
							name="indirizzolegalerappresentante"
							value="${indirizzolegalerappresentante}" class="form-control"
							id="indirizzolegalerappresentante" />
					</div>
					<div class="form-group">
						<elabor:condset var="checkyes" test="${socio}"
							trueValue="checked='checked'" falseValue="" />
						<elabor:condset var="checkno" test="${not socio}"
							trueValue="checked='checked'" falseValue="" />
						<label for="conferma-socio">Sei gi&agrave; socio di
							&egrave;nostra o hai presentato domanda di adesione?</label> <label
							for="conferma-socio" class="separated">s&igrave;</label> <input
							type="radio" name="socio" id="conferma-socio-si" value="true"
							${checkyes} /> <label for="conferma-socio" class="separated">no</label>
						<input type="radio" name="socio" id="conferma-socio-no" value="false"
							${checkno} />
					</div>
				</div>
			</div>
			
			<c:if test="${not empty role}">
				<div class="row isolated">
					<h3>Indica le tue attivit&agrave; e aree di competenza</h3>
					<div class="col-xs-12 col-sm-12 col-md-12">
					<label>Ti comunicheremo le opportunit&agrave; relative al
						tuo campo di competenza (termoidraulico e/o elettrico) e alle
						aree geografiche in cui operi. &Egrave; ammessa la selezione di opzioni
						multiple</label>
					<c:forEach var="areacompetenza" items="${areecompetenza}" varStatus="acstatus" >
						<div class="form-group col-xs-12 col-sm-12 col-md-12">
							<elabor:condset var="checked" test="${areecompetenzautente[acstatus.index]}"
								trueValue="checked='checked'" falseValue="" />
							<input
								class="separate"
								type="checkbox"
								name="areecompetenza"
								id="areacompetenza-${acstatus.index}"
								value="${areacompetenza.name}"
								${checked} />
							<label>${areacompetenza.description}</label>
						</div>
					</c:forEach>
					</div>
				</div>
				
				<div class="row border">
					<label class="isolated isolatedhorizontal" for="checkall" id="labelcheckAll" style="margin-left:86%">selezionare tutti</label>
					<input type="checkbox" name="checkall" id="checkAll" value="" />
				</div>
				<div class="row border">
					<c:forEach var="regioneProvincia" items="${regioneProvincia}">
						<c:set var="regione" value="${regioneProvincia.key}" />
						<c:set var="elenco" value="${regioneProvincia.value}" />
						<c:set var="splitRegione" value="${fn:split(regione, ' ')}" />
						<div class="elementPro">
							<div>
								<input type="checkbox" name="checkallregione" id="${splitRegione[0]}-checkbox" value="${splitRegione[0]}" class="largerCheckbox"/>
								<label for="${splitRegione[0]}-checkbox" 
									class="isolated textcenter headertext mainlabel">${regione}</label>
							</div>
							<div class="provinceList flex-div">
								<div>
									<c:forEach var="provincia1" items="${elenco['1']}">
										<div style="width: 180px;">
											<elabor:condset var="checked" test="${provinceutente.contains(provincia1.name)}"
												trueValue="checked='checked'" falseValue="" />
											<input
												type="checkbox"
												name="province"
												id="${splitRegione[0]}-provincia-${provincia1.name}"
												value="${provincia1.name}"
												${checked} />
											<label for="${splitRegione[0]}-provincia-${provincia1.name}">${provincia1.name}</label>
										</div>
									</c:forEach>
								</div>
								<div>
									<c:forEach var="provincia2" items="${elenco['2']}" varStatus="prostatus">
										<div style="width: 180px;">
											<elabor:condset var="checked" test="${provinceutente.contains(provincia2.name)}"
												trueValue="checked='checked'" falseValue="" />
											<input
												type="checkbox"
												name="province"
												id="${splitRegione[0]}-provincia-${provincia2.name}"
												value="${provincia2.name}"
												${checked} />
											<label for="${splitRegione[0]}-provincia-${provincia2.name}">${provincia2.name}</label>
										</div>
									</c:forEach>
								</div>
							</div>
						</div>
					</c:forEach>
				</div>
				
				<div class="row isolated">
					<h3 class="isolated">Scarica, compila e ricarica i seguenti documenti</h3>
					<c:set var="docUser" value="${documentiaccordiutente}" />
					<c:set var="accordoQuadroImprese" value='${docUser["ACCORDO_QUADRO_IMPRESE"]}' />
					<div class="border isolated col-xs-12 col-sm-12 col-md-12">
						<!-- <h3 class="isolated">ditte installatrici</h3> -->
						<table class="table table-responsive table-hover table-condensed" aria-label="modulistica">
							<tr>
								<th class="textcenter" style="min-width:12%">titolo</th>
								<th class="textcenter" style="min-width:10%">scarica il modulo</th>
								<th class="textcenter" style="min-width:10%">carica il documento firmato</th>
							</tr>
							<tr>
								<td class="titleTable" colspan="3">ditte installatrici</td>
							</tr>
							<c:forEach var="doc" items="${documentiaccordi}" varStatus="docAccordiStatus">
								<c:if test="${doc.name == 'ACCORDO_QUADRO_PROFESSIONISTI'}">
									<tr>
										<td class="titleTable" colspan="3">professionisti</td>
									</tr>
								</c:if>
								<tr>
									<td>${doc.description}</td>
									<td class="textcenter">
										<c:url var="urlDownloadModulo" value="downloadmodulo.srvl">
											<c:param name="username" value="${username}" />
											<c:param name="tipodocumento" value="${doc.name}" />
										</c:url>
										<a href="${fn:escapeXml(urlDownloadModulo)}" class="btn btnLink" 
										id="download-${doc.name}">Scarica</a>
									</td>
									<td class="textcenter">
										<c:set var="fieldName" value='${doc.name}' />
										<c:set var="fileName" value='${docUser[fieldName]}' />
										<c:choose>
											<c:when test="${fileName != '' && fileName != null}">
												<c:url var="urlDownload" value="downloaduserdoc.srvl">
	 												<c:param name="username" value="${username}" />
													<c:param name="tipodocumento" value="${doc.name}" />
													<c:param name="filename" value="${fileName}" />
												</c:url>
												<a href="${fn:escapeXml(urlDownload)}" id="download-documento-${doc.name}">${fileName}</a>
												
												<c:url var="urlDelete" value="deleteuserdoc.srvl">
	 												<c:param name="username" value="${username}" />
													<c:param name="tipodocumento" value="${doc.name}" />
													<c:param name="filename" value="${fileName}" />
												</c:url>
												<a href="${fn:escapeXml(urlDelete)}" id="delete-documento-${doc.name}"
												class="btn btn-default fa fa-trash btnTrash"></a>
											</c:when>
											<c:otherwise>
												<input type="file" name="${doc.name}" value="" id="upload-${doc.name}"></input>
											</c:otherwise>
										</c:choose>
									</td>
								</tr>
							</c:forEach>
						</table>
					</div>
				</div>
			</c:if>
			<div class="row">
				<h3>Conferma dati</h3>
				<div class="col-xs-12 col-sm-12 col-md-12">
					<button type="submit" title="useredit"
						class="btn btn-default fas fa-check" id="invia"></button>
					<a href="utenti.srvl" title="torna alla pagina utenti"
						class="text-right btn btn-default fa fa-arrow-left" id="indietro"></a>
				</div>
			</div>
		</form>
	</div>

	<%@ include file="../footer.jspf"%>

</body>

</html>