<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<?xml version="1.0" encoding="UTF-8" ?>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="elabor" uri="http://elabor.biz/tld/tools"%>

<!DOCTYPE html>

<html lang="it" xmlns="http://www.w3.org/1999/xhtml">

<head>
<TITLE>Elenco utenti</TITLE>
<%@ include file="../head.jspf"%>
</head>

<body>
	<%@ include file="../header.jspf"%>
	<%@ include file="../navigationbar.jspf"%>
	<div>
		<h1 id="title" class="mainColor textcenter">Elenco utenti</h1>
		<div id="messages">
			<%@ include file="../talk.jspf"%>
		</div>
		<div class="container filtroUtenti space">
			<c:set var="urlFiltriutente" value="filtroutenti.srvl" /> 
			<form method="post" action="${urlFiltriutente}">
				<div class="isolated">
					<div class="row form-group">
						<div class="col-md-6 col-sm-6 col-xs-6">
								<b><label for="nominativo">nominativo</label></b> <input
									class="form-control" type="text" name="nominativo"
									id="nominativo" value="${nominativo}" />
						</div>
					
						<div class="col-md-6 col-sm-6 col-xs-6">
							<b><label for="provincia">provincia</label></b> <input
									class="form-control" type="text" name="provincia"
									id="provincia" value="${provincia}" />
						</div>
					</div>
					<div class="row form-group">
						<div class="col-md-6 col-sm-6 col-xs-6">
							<b><label for="areacompetenza">attivit svolta</label></b>
							<div>
								<c:forEach var="current" items="${areecompetenze}">
									<elabor:condset var="checked"
										test="${areacompetenza.contains(current.name)}"
										trueValue="checked='checked'" falseValue="" />
									<div>
										<input type="checkbox" id="${current.name}"
											name="areacompetenza" value="${current.name}" ${checked}><label
											for="${current.name}" class="choice">${current.description}</label>
									</div>
								</c:forEach>
							</div>
						</div>
						<div class="col-md-6 col-sm-6 col-xs-6">
							<b><label for="documenti">documenti inseriti</label></b>
							<div>
								<c:forEach var="current" items="${documentiaccordi}">
									<elabor:condset var="checked"
										test="${documenti.contains(current.name)}"
										trueValue="checked='checked'" falseValue="" />
									<div>
										<input type="checkbox" id="${current.name}"
											name="documenti" value="${current.name}" ${checked}><label
											for="${current.name}" class="choice">${current.description}</label>
									</div>
								</c:forEach>
							</div>
						</div>
					</div>
				</div>
				<div class="row form-group">
					<div class="col-md-12 col-sm-12 col-xs-12 textcenter">
						<button id="conferma" type="submit" title="filtra gli utenti"
							class="btn btn-default fa fa-check"></button>
					</div>
				</div>
			</form>
		</div>
		<div class="container">
			<div class="isolated">
				<c:url var="csvProvinceAree"  value="csvprovincearee.srvl"></c:url> 
				<label for="csvProvinceAree" class = "isolatedTitle">Esportazione province e aree per tecnici</label>
				<a href="${csvProvinceAree}" title="csv province aree"	id="csvProvinceAree" class="btn btn-default fas fa-file-export"></a>
			</div>
		</div>
		<div class="container">
			<table id="tabellautenti" aria-label="tabella utenti"
				class="tableutenti table table-responsive table-striped table-hover table-condensed table-bordered">
				<thead>
					<tr>
						<th class="textcenter">modifica</th>
						<th class="textcenter">username</th>
						<th class="textcenter">nome</th>
						<th class="textcenter">cognome</th>
						<th class="textcenter">ruolo</th>
						<th class="textcenter">codice fiscale</th>
						<th class="textcenter">indirizzo</th>
						<th class="textcenter">email</th>
						<th class="textcenter">telefono</th>
						<th class="textcenter">azienda</th>
						<th class="textcenter">sede</th>
						<th class="textcenter">CF azienda</th>
						<th class="textcenter">P.IVA</th>
						<th class="textcenter">PEC</th>
						<th class="textcenter">codice SdI</th>
					</tr>
				</thead>
				<tbody>
					<c:forEach var="utente" items="${utenti}" varStatus="status">
						<tr>
							<td class="icon textcenter"><c:url var="urlModifica"
									value="useredit.srvl">
									<c:param name="usernameutentedamodificare"
										value="${utente.username}" />
								</c:url> <a href="${urlModifica}" title="modifica utente"
								id="modificautente-${status.index}"
								class="btn btn-default fa fa-edit"></a></td>
							<td><c:choose>
									<c:when test="${empty callback}">${utente.username}</c:when>
									<c:otherwise>
										<c:url var="url" value="${callback}">
											<c:param name="username">${utente.username}</c:param>
										</c:url>
										<a href="${url}">${utente.username}</a>
									</c:otherwise>
								</c:choose></td>
							<td id="nomeutente-${status.index}">${utente.firstName}</td>
							<td id="cognomeutente-${status.index}">${utente.lastName}</td>
							<td>${utente.role.descrizione}</td>
							<td>${utente.codiceFiscale}</td>
							<td>${utente.address}</td>
							<td>${utente.email}</td>
							<td>${utente.telefono}</td>
							<td>${utente.company}</td>
							<td>${utente.sede}</td>
							<td>${utente.cfAzienda}</td>
							<td>${utente.partitaIva}</td>
							<td>${utente.pec}</td>
							<td>${utente.sdi}</td>
						</tr>
					</c:forEach>
				</tbody>
			</table>
		</div>

	</div>
	<%@ include file="../footer.jspf"%>
</body>

</html>
